import fetch from './index';
import utils from '@/lib/utils';
const downloadUrl = utils.downloadFiles;

export const fetchEquipmentList = entity =>
  fetch({
    url: '/dcxy/meter/device/querying',
    ...entity,
  });
export const deleteEquipment = entity =>
  fetch({
    url: '/dcxy/meter/device/deleting',
    method: 'POST',
    ...entity,
  });
export const toggleEquipmentStatus = entity =>
  fetch({
    url: `/dcxy/meter/device/${entity.data.id}/${
      entity.data.state ? 'online' : 'offline'
    }`,
    method: 'POST',
    ...entity,
  });
export const addEquipment = entity =>
  fetch({
    url: '/dcxy/meter/device/adding',
    method: 'POST',
    ...entity,
  });
export const updateEquipment = entity =>
  fetch({
    url: '/dcxy/meter/device/modifying',
    method: 'POST',
    ...entity,
  });
export const exportEquipment = entity =>
  fetch({
    url: '/dcxy/meter/device/excel',
    responseType: 'blob',
    ...entity,
  }).then(res => {
    let blob = new Blob([res.data], { type: res.headers });
    let fileName = res.headers['content-disposition'].split('=')[1];
    downloadUrl(blob, fileName);
  });
