import { baseFetch as fetch } from '../fetch';
const OPER_PAY_PATH = '/dcxy/api/base/operateAreaPay';
export const getOperPayInfo = req =>
  fetch({
    url: OPER_PAY_PATH + '/payConfig',
    method: 'get',
    ...req,
  });

export const checkExisting = req =>
  fetch({
    url: OPER_PAY_PATH + '/check/existing',
    method: 'get',
    ...req,
  });

export const checkBinding = req =>
  fetch({
    url: OPER_PAY_PATH + '/check/binding',
    method: 'get',
    ...req,
  });

//支付能力新增接口
export const addOperPayInfo = req =>
  fetch({
    url: OPER_PAY_PATH + '/operPay/relation',
    method: 'post',
    ...req,
  });

//支付能力修改接口
export const updateOperPayInfo = req =>
  fetch({
    url: OPER_PAY_PATH + '/operPay/change',
    method: 'post',
    ...req,
  });

export const deleteOperPayInfo = req =>
  fetch({
    url:
      OPER_PAY_PATH +
      '/service/pay/' +
      req.id +
      '/' +
      req.operateId +
      '/' +
      req.payType,
    method: 'delete',
    ...req,
  });

//支付能力关闭/开启接口
export const isCloseOperPay = req =>
  fetch({
    url:
      OPER_PAY_PATH +
      '/isclose/' +
      req.isClose +
      '/' +
      req.id +
      '/' +
      req.operateId +
      '/' +
      req.payType,
    method: 'put',
    ...req,
  });

//查询是否存在开启的
export const checkBeOn = req =>
  fetch({
    url: OPER_PAY_PATH + '/check/beOn',
    method: 'get',
    ...req,
  });
export const getOpenedPaytype = req =>
  fetch({
    url: OPER_PAY_PATH + '/opened/paytype',
    method: 'get',
    ...req,
  });
