import fetch from './index';
import utils from '@/lib/utils';
const downloadUrl = utils.downloadFiles;

export const fetchEquipmentList = entity =>
  fetch({
    url: '/equipment/query4Page',
    params: entity,
  });
export const addEquipment = entity =>
  fetch({
    url: '/equipment/equipmentInsert',
    params: entity,
  });
export const updateEquipment = entity =>
  fetch({
    url: '/equipment/equipmentUpdate',
    params: entity,
  });
export const deleteEquipment = entity =>
  fetch({
    url: '/equipment/equipmentDelete',
    params: entity,
  });

export const toggleEquipmentStatus = entity =>
  fetch({
    url: '/equipment/equipmentUpdateStatusBatch',
    params: entity,
  });
//导出小程序二维码
export const exportWeCharQrCode = entity =>
  fetch({
    url: '/exportCode4WeChar',
    params: entity,
    timeout: 30000,
  });

//导出小程序二维码
export const exportCode4WeCharZip = entity =>
  fetch({
    url: '/exportCode4WeCharZip',
    params: entity,
    timeout: 30000,
    // responseType:'blob',
  }).then(res => {
    return res;
    // let blob = new Blob([res.data], { type: res.headers });
    // let fileName = res.headers['content-disposition'].split('=')[1];
    // downloadUrl(blob, fileName);
  });

export const exportEquipment = entity =>
  fetch({
    url: '/equipment/equipmentExport',
    params: entity,
    responseType: 'blob',
  }).then(res => {
    let blob = new Blob([res.data], { type: res.headers });
    let fileName = res.headers['content-disposition'].split('=')[1];
    downloadUrl(blob, fileName);
  });
export const getPositionsList = entity =>
  fetch({
    url: '/position/positionQuery4List',
    params: entity,
  });

export const getDeviceTypeList = () =>
  fetch({
    url: '/deviceType',
  });
  export const exportTemplate = () =>
  fetch({
    url: '/equipment/templateExport',
    responseType: 'blob',
  }).then(res => {
    let blob = new Blob([res.data], { type: res.headers });
    let fileName = res.headers['content-disposition'].split('=')[1];
    downloadUrl(blob, fileName);
  });
  export const importTemplate = entity =>
  fetch({
    method: 'post',
    url: '/equipment/equipmentImport',
    data: entity,
    headers: {
      'Content-type': 'multipart/form-data',
    },

  });
