import { baseFetch as fetch } from '../fetch';

//基础地址
const path = process.env.VUE_APP_BASE_SERVER_URL;

//首充相关接口头
const pathFirstRecharge = '/dcxy/api/firstRechargeConf';

//充值配置相关接口头
const pathRecharge = '/dcxy/api/rechargeConf';

//注册赠送配置相关接口
const pathRegister = '/dcxy/api/registerGive';

//豆赠送活动相关接口
const pathActiveGiveBean = '/dcxy/api/activeGiveBean';

//查询为添加的区域
const pathOpMentBase = '/dcxy/opMentBase/opMentBase';

//首充列表分页
export const queryPage4FirstRecharge = req =>
  fetch({
    url: path + pathFirstRecharge + '/firstRechargeConf/list',
    method: 'POST',
    ...req,
  });

// 开启/关闭首充
export const updateLock4FirstRecharge = req =>
  fetch({
    url:
      path +
      pathFirstRecharge +
      `/firstRechargeConf?id=${req.params.id}&${req.params.isEnable}`,
    method: 'PUT',
    ...req,
  });

// 保存首充配置
export const updateEntity4FirstRecharge = req =>
  fetch({
    url: path + pathFirstRecharge + `/firstRechargeConf/${req.data.id}`,
    method: 'PUT',
    ...req,
  });

// 查询操作记录
export const queryEntityById4FirstRecharge = req =>
  fetch({
    url: path + pathFirstRecharge + `/firstRechargeConf/${req.params.id}`,
    method: 'GET',
    ...req,
  });

// 查询拥有的服务
export const queryEntityByAreaOperId4FirstRecharge = req =>
  fetch({
    url: path + pathFirstRecharge + `/firstRechargeConf`,
    method: 'GET',
    ...req,
  });

// 充值配置相关接口

//充值配置列表分页
export const queryPage4Recharge = req =>
  fetch({
    url: path + pathRecharge + '/rechargeConf/list',
    method: 'POST',
    ...req,
  });

// 查询操作记录
export const queryEntityById4Recharge = req =>
  fetch({
    url: path + pathRecharge + `/rechargeConf/${req.params.id}`,
    method: 'GET',
    ...req,
  });

// 充值配置新增
export const updateEntity4Recharge = req =>
  fetch({
    url: path + pathRecharge + `/rechargeConf/`,
    method: 'PUT',
    ...req,
  });

// 充值配置删除
export const deleteEntity4Recharge = req =>
  fetch({
    url:
      path +
      pathRecharge +
      `/rechargeConf/${req.params.id}/${req.params.rechargeConfId}`,
    method: 'DELETE',
    ...req,
  });

//注册赠送列表
export const queryPage4Register = req =>
  fetch({
    url: path + pathRegister + '/registerGive/list',
    method: 'POST',
    ...req,
  });
// 注册赠送查询操作记录
export const queryRecord4Register = req =>
  fetch({
    url: path + pathRegister + `/registerGive/${req.params.id}`,
    method: 'GET',
    ...req,
  });

// 注册赠送 开启/关闭赠送
export const updateLock4Register = req =>
  fetch({
    url: path + pathRegister + `/registerGive`,
    method: 'PUT',
    ...req,
  });

// 注册赠送 注册配置
export const addEntity4Register = req =>
  fetch({
    url: path + pathRegister + `/registerGive`,
    method: 'POST',
    ...req,
  });

//豆活动列表
export const queryPage4ActiveGiveBean = req =>
  fetch({
    url: path + pathActiveGiveBean + '/activeGiveBean/list',
    method: 'POST',
    ...req,
  });

//获取选中的会员类型
export const queryheckCustomerType = req =>
  fetch({
    url:
      path +
      pathActiveGiveBean +
      `/activeGiveBean/${req.params.areaId}/${req.params.id}`,
    method: 'GET',
    ...req,
  });

//获取会员类型
export const queryCustomerType = req =>
  fetch({
    url: path + pathActiveGiveBean + `/activeGiveBean/${req.params.areaId}`,
    method: 'GET',
    ...req,
  });

//添加活动
export const addEntity4ActiveGiveBean = req =>
  fetch({
    url: path + pathActiveGiveBean + `/activeGiveBean`,
    method: 'POST',
    ...req,
  });

//修改活动
export const updateEntity4ActiveGiveBean = req =>
  fetch({
    url: path + pathActiveGiveBean + `/activeGiveBean`,
    method: 'PUT',
    ...req,
  });

//删除活动
export const deleteEntity4ActiveGiveBean = req =>
  fetch({
    url: path + pathActiveGiveBean + `/activeGiveBean/delete`,
    method: 'DELETE',
    ...req,
  });

//豆活动详情列表
export const queryPage4ActiveGiveBeanDetail = req =>
  fetch({
    url: path + pathActiveGiveBean + '/activeGiveBean/detail',
    method: 'GET',
    ...req,
  });

//查询未配置区域
export const queryAreaList = req =>
  fetch({
    url: path + pathOpMentBase,
    method: 'GET',
    ...req,
  });

//保存区域
export const addEntity = req =>
  fetch({
    url: path + pathFirstRecharge + '/firstRechargeConf',
    method: 'POST',
    ...req,
  });
