import { baseFetch as fetch } from '../fetch';
// 版本配置API
const PVersion_PATH = '/dcxy/api/payment/version';
//支付管理API
const PAYMENT_PATH = '/dcxy/api/payment';
//配置操作记录API
const PRECORD_PATH = '/dcxy/api/base/po/record';
// 配置版本操作记录API
const PVRECORD_PATH = '/dcxy/api/base/pvo/record';
//运营支付API
const OAP_PATH = '/dcxy/api/base/operateAreaPay';
//支付管理API
export const getPagePayment = req =>
  fetch({
    url: PAYMENT_PATH + '/page/data',
    method: 'post',
    ...req,
  });
export const changePayment = req =>
  fetch({
    url: PAYMENT_PATH + '/change/payment',
    method: 'get',
    ...req,
  });
export const createPayment = req =>
  fetch({
    url: PAYMENT_PATH + '/create/payment',
    method: 'get',
    ...req,
  });
//开启/关闭类型接口
export const closeOrOpen = req =>
  fetch({
    url: PAYMENT_PATH + '/open/close/' + req.id + '/' + req.isEnable,
    method: 'put',
    // ...req,
  });
// 版本配置API
export const getPaymentVersion = req =>
  fetch({
    url: PVersion_PATH + '/all/pversion',
    method: 'get',
    ...req,
  });
//修改接口
export const updatePaymentVersion = req =>
  fetch({
    url: PVersion_PATH + '/change/pversion',
    method: 'post',
    ...req,
  });
export const addPaymentVersion = req =>
  fetch({
    url: PVersion_PATH + '/creat/pversion',
    method: 'post',
    ...req,
  });
export const upAndDown = req =>
  fetch({
    url: PVersion_PATH + '/up/down/' + req.id + '/' + req.isEnable,
    method: 'put',
    // ...req,
  });
export const deleteVersion = req =>
  fetch({
    url: PVersion_PATH + '/paymeny/version/' + req.id,
    method: 'delete',
    // ...req,
  });
export const getPRecord = req =>
  fetch({
    url: PRECORD_PATH + '/kind/one',
    method: 'get',
    ...req,
  });
export const getPVRecord = req =>
  fetch({
    url: PVRECORD_PATH + '/kind/one',
    method: 'get',
    ...req,
  });
export const checkVBeUsed = req =>
  fetch({
    url: PAYMENT_PATH + '/check/beBind',
    method: 'get',
    ...req,
  });
//true存在
export const checkExist = req =>
  fetch({
    url: PVersion_PATH + '/check/exist/' + req.payType + '/' + req.versionName,
    method: 'get',
    // ...req,
  });

export const checkPaymentExist = req =>
  fetch({
    url: PAYMENT_PATH + '/check/payment/exist',
    method: 'get',
    ...req,
  });

export const getAllPayment = req =>
  fetch({
    url: PAYMENT_PATH + '/all/opened/payment',
    method: 'get',
    ...req,
  });

export const getOpenedAbility = req =>
  fetch({
    url: PAYMENT_PATH + '/opened/ability',
    method: 'get',
    ...req,
  });
