import { baseFetch as fetch } from '../fetch';

const SERVICE_PATH = '/dcxy/api/base/service';
const RECORD_PATH = '/dcxy/api/base/record';

//自助服务分页查询接口
export const getPageService = req =>
  fetch({
    url: SERVICE_PATH + '/page/serviceData',
    method: 'post',
    ...req,
  });


//服务新增接口
export const addSelfService = req =>
  fetch({
    url: SERVICE_PATH + '/create/serviceData',
    method: 'post',
    ...req,
  });

//服务基本信息查询接口
export const getSelfService = req =>
  fetch({
    url: SERVICE_PATH + '/serviceData',
    method: 'get',
    ...req,
  });

//开启/关闭服务接口
export const closeOrOpen = req =>
  fetch({
    url: SERVICE_PATH + '/open/close/' + req.id + '/' + req.state,
    method: 'put',
    // ...req,
  });

//服务基本信息修改接口
export const updateSelfService = req =>
  fetch({
    url: SERVICE_PATH + '/change/serviceData',
    method: 'post',
    ...req,
  });

//自助服务查询接口
export const getKindsService = req =>
  fetch({
    url: SERVICE_PATH + '/kinds/service',
    method: 'get',
    ...req,
  });

  //获取服务记录各一条接口
export const getRecordService = req =>
fetch({
  url: RECORD_PATH + '/kinds/one',
  method: 'get',
  ...req,
});

export const getAllSelfService = req =>
  fetch({
    url: SERVICE_PATH + '/all/about/service',
    method: 'get',
    ...req,
  });

  export const getThirdService = req =>
  fetch({
    url: SERVICE_PATH + '/third/service',
    method: 'get',
    ...req,
  });

  export const checkExistService = req =>
  fetch({
    url: SERVICE_PATH + '/name/whether/exist',
    method: 'get',
    ...req,
  });

