import { fetchDeviceTypeOptions } from '@/api/device/firmware';
const GET_DEVICE_TYPE_OPTIONS = 'GET_DEVICE_TYPE_OPTIONS';
const FETCH_STATE = 'FETCH_STATE';
const FETCH_END = 'FETCH_END';

const state = () => ({
  fetching: false,
  deviceTypeOptions: [],
});
const getters = {
  deviceTypeOptions: state => state.deviceTypeOptions,
};
const actions = {
  fetchDeviceTypeOptions({ commit }) {
    if (state.fetching) return;
    commit(FETCH_STATE);
    return fetchDeviceTypeOptions().then(res => {
      commit(GET_DEVICE_TYPE_OPTIONS, res.data);
      commit(FETCH_END);
    });
  },
};
const mutations = {
  [GET_DEVICE_TYPE_OPTIONS](state, list) {
    state.deviceTypeOptions = list;
  },
  [FETCH_STATE](state) {
    state.fetching = true;
  },
  [FETCH_END](state) {
    state.fetching = false;
  },
};

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations,
};
