import store from './store';
import { mapGetters, mapActions } from 'vuex';

export default {
  created() {
    store.install(this.$store);
  },
  mounted() {
    if (!this.deviceTypeOptions.length) {
      this.fetchDeviceTypeOptions();
    }
  },
  computed: {
    ...mapGetters('waterDispenser/deviceTypeOptions', ['deviceTypeOptions']),
  },
  methods: {
    ...mapActions('waterDispenser/deviceTypeOptions', [
      'fetchDeviceTypeOptions',
    ]),
    getDeviceTypeLabel(val) {
      let item = this.deviceTypeOptions.find(i => i.id === val);
      return item ? item.name : val;
    },
  },
};
