import store from './store';
import { mapGetters, mapActions } from 'vuex';

export default {
  created() {
    store.install(this.$store);
  },
  mounted() {
    if (!this.equipmentParameterList.length) {
      this.getParameterMaps();
    }
  },
  computed: {
    ...mapGetters('ParameterMap/equipmentParameter', [
      'equipmentParameterList',
    ]),
  },
  methods: {
    ...mapActions('ParameterMap/equipmentParameter', ['getParameterMaps']),
    getParameterName(val) {
      let item = this.equipmentParameterList.find(i => i.key === val);
      return item ? item.value : val;
    },
  },
};
