import { getEquipmentVersion } from '@/api/equipmentParamsManagement/dict';
const GET_EQUIPMENT_VERSION_OPTIONS = 'GET_EQUIPMENT_VERSION_OPTIONS';
const FETCH_STATE = 'FETCH_STATE';
const FETCH_END = 'FETCH_END';

const state = () => ({
  fetching: false,
  list: [],
});
const getters = {
  equipmentVersionList: state => state.list,
};
const actions = {
  getEquipmentVersion({ commit }) {
    if (state.fetching) return;
    commit(FETCH_STATE);
    return getEquipmentVersion({
      notLoading: true,
    }).then(res => {
      commit(GET_EQUIPMENT_VERSION_OPTIONS, res.data);
      commit(FETCH_END);
    });
  },
};
const mutations = {
  [GET_EQUIPMENT_VERSION_OPTIONS](state, list) {
    state.list = list;
  },
  [FETCH_STATE](state) {
    state.fetching = true;
  },
  [FETCH_END](state) {
    state.fetching = false;
  },
};

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations,
};
