// import store from './store';
// import { mapGetters, mapActions } from 'vuex';
import { getEquipmentVersion } from '@/api/equipmentParamsManagement/dict';

export default {
  created() {
    // store.install(this.$store);
  },
  props: {
    deviceType: {
      type: Number,
    },
  },
  data() {
    return {
      equipmentVersionList: [],
    };
  },
  watch: {
    deviceType(val) {
      if (val) {
        this.getEquipmentVersion({
          deviceType: val,
        });
      }
    },
  },
  mounted() {
    if (this.deviceType) {
      this.getEquipmentVersion({
        deviceType: this.deviceType,
      });
    }
  },

  methods: {
    getEquipmentVersion(entity) {
      return getEquipmentVersion({
        data: entity,
        notLoading: true,
      })
        .then(res => {
          this.equipmentVersionList = res.data;
        })
        .catch(err => {
          console.error(err);
        });
    },
    getParameterName(val) {
      let item = this.equipmentVersionList.find(i => i.key === val);
      return item ? item.value : val;
    },
  },
};
