import { mapGetters, mapActions } from 'vuex';
import store from './store';

export default {
  created() {
    store.install(this.$store);
  },
  mounted() {
    if (!this.provincesList.length) {
      this.fetchProvincesList();
    }
  },
  computed: {
    ...mapGetters('provinces', ['provincesList']),
  },
  methods: {
    ...mapActions('provinces', ['fetchProvincesList', 'fetchPCAList']),
    getAreaName(id) {
      let item = this.provincesList.find(item => item.id === id);
      if (item) {
        return item.areaName;
      } else {
        return '';
      }
    },
  },
};
