import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import { fetchEquipmentList } from '@/api/3.0/equipment';

const GET_EQUIPMENT_LIST = 'GET_EQUIPMENT_LIST';

const initFilters = () => ({
  campus: undefined,
  code: '',
  location: '',
  operator: undefined,
  service: undefined,
});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
  list: [],
});
const getters = {
  equipmentList: state => state.list,
};
const actions = {
  fetchEquipmentList({ state, commit, getters, dispatch }, entity) {
    let filters = getFilters(getters.filters);
    return fetchEquipmentList({
      params: {
        ...filters,
        ...state.pagination,
        ...entity,
      },
    })
      .then(res => {
        const { list, ...pagination } = res.data;
        dispatch('updatePagination', pagination);
        commit(GET_EQUIPMENT_LIST, list);
      })
      .catch(err => {
        console.error(err);
      });
  },
};
const mutations = {
  [GET_EQUIPMENT_LIST](state, list) {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
