import { fetchCampuses } from '@/api/3.0/baseInfo';

const GET_AREA_LIST = 'GET_AREA_LIST';
const FETCH_STATE = 'FETCH_STATE';
const FETCH_END = 'FETCH_END';

const state = () => ({
  list: [],
  fetching: false,
});

const getters = {
  areaList: state => state.list,
};

const actions = {
  fetchCampuses({ state, commit }) {
    if (state.fetching) return;
    commit(FETCH_STATE);
    return fetchCampuses({}).then(res => {
      const list = res.data;
      commit(GET_AREA_LIST, list);
      commit(FETCH_END);
    });
  },
};

const mutations = {
  [GET_AREA_LIST](state, list) {
    state.list = list;
  },
  [FETCH_STATE](state) {
    state.fetching = true;
  },
  [FETCH_END](state) {
    state.fetching = false;
  },
};

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations,
};
