import store from './store';
import { mapGetters, mapActions } from 'vuex';

export default {
  created() {
    store.install(this.$store);
  },
  mounted() {
    if (this.serviceList && !this.serviceList.length && this.campusId) {
      this.fetchServices({
        campusId: this.campusId,
      });
    }
  },
  computed: {
    ...mapGetters('service', ['serviceList']),
  },
  methods: {
    ...mapActions('service', ['fetchServices']),
    getServiceName(val) {
      let item = this.serviceList.find(i => i.id === val);
      return item ? item.name : val;
    },
  },
};
