import { fetchServices } from '@/api/3.0/baseInfo';

const GET_SERVICE_LIST = 'GET_SERVICE_LIST';
const FETCH_STATE = 'FETCH_STATE';
const FETCH_END = 'FETCH_END';

const state = () => ({
  list: [],
  fetching: false,
});

const getters = {
  serviceList: state => state.list,
};

const actions = {
  fetchServices({ state, commit }, entity) {
    if (state.fetching) return;
    commit(FETCH_STATE);
    return fetchServices({
      data: entity,
    }).then(res => {
      const list = res.data;
      commit(GET_SERVICE_LIST, list);
      commit(FETCH_END);
    });
  },
};

const mutations = {
  [GET_SERVICE_LIST](state, list) {
    state.list = list;
  },
  [FETCH_STATE](state) {
    state.fetching = true;
  },
  [FETCH_END](state) {
    state.fetching = false;
  },
};

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations,
};
