import { getRechargeInfo, forRecharge } from '@/api/account/customerRecharge';
import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;

const FOR_STORE_ID = 'FOR_STORE_ID';

const state = () => ({
  iSReData: null,
});

const getters = {
  iSReData: state => state.iSReData,
};

const actions = {
  getRechargeInfo({ commit, state, dispatch }, entity) {
    return getRechargeInfo({
      params: { ...entity },
    });
  },
  forRecharge({ commit, state, dispatch }, entity) {
    return forRecharge(entity);
  },
  storeReData({ commit, state, dispatch }, entity) {
    commit(FOR_STORE_ID, entity);
  },
};

const mutations = {
  [FOR_STORE_ID](state, entity) {
    state.iSReData = entity;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
