import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { fetchAdminFunctionList } from '@/api/adminFunction/adminFunction';
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;

const GET_ADMIN_FUNCTION_LIST = 'GET_ADMIN_FUNCTION_LIST';

const initFilters = () => ({
  loginAccount: null,
  name: null,
  cellphone: '',
  operateId:null,

});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
  list: [],
});

const getters = {
  listData: state => state.list,
};

const actions = {
  fetchAdminFunctionList({ state, commit, dispatch,getters}, entity) {
    let filters = getFilters(getters.filters);
    return fetchAdminFunctionList({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_ADMIN_FUNCTION_LIST, list);
    });
  },
};

const mutations = {
  [GET_ADMIN_FUNCTION_LIST]: (state, list) => {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
