import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { fetchAppReportList } from '@/api/appReportLog/appReportLog';
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
const formatDate = utils.formatDate;

const GET_LIST = 'GET_LIST';

const initFilters = () => ({
  interfaceCode: null,
  interfaceName: null,
  interfaceMethod: '',
  appAccount:'',
  timeRange:[],



});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
  list: [],
});

const getters = {
  listData: state => state.list,
};

const actions = {
  fetchAppReportList({ state, commit, dispatch,getters }, entity) {
    // let filters = getFilters(getters.filters);
    console.log(getFilters(getters.filters))
    const { timeRange, ...filters } = getFilters(getters.filters);
    if (timeRange) {
      const [startTime, endTime] = timeRange;
      filters.startTime = startTime;
      if (endTime) filters.endTime = formatDate(endTime, 'yyyy-MM-dd') + ' 23:59:59';
    }
    return fetchAppReportList({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_LIST, list);
    });
  },
};

const mutations = {
  [GET_LIST]: (state, list) => {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
