import { pageRecords } from '@/api/customer/areaSwitch';
const formatDate = utils.formatDate;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;

const GET_PAGE_RECORDS = 'GET_PAGE_RECORDS';
const STORE_QUERY_DATA = 'STORE_QUERY_DATA';
// let newDate = new Date();
const state = () => ({
  list: [],
  storeData: {
    timeRange: [
      formatDate(new Date(), 'yyyy-MM-dd') + ' 00:00:00',
      formatDate(new Date(), 'yyyy-MM-dd') + ' 23:59:59',
    ],
    //区域
    areaId: null,
    //电话
    customerPhone: '',
    //姓名
    customerName: '',
    customerId: null,
    type: '',
    whetherGo: false,
  },
});

const getters = {
  list: state => state.list,
  storeData: state => state.storeData,
};

const actions = {
  pageRecords({ commit, state, dispatch }, entity) {
    const { timeRange,businessType,...filters } = getFilters(state.storeData);
    if (timeRange) {
      const [startTime, endTime] = timeRange;
      if (startTime) filters.startTime = startTime;
      if (endTime) filters.endTime = formatDate(endTime, 'yyyy-MM-dd') + ' 23:59:59';
    }
    // if(filters.areaId&&businessType){
    //   if(businessType=='1'){
    //     filters.inAreaId = filters.areaId;
    //   }else{
    //     filters.outAreaId = filters.areaId;
    //   }
    // }
    return pageRecords({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const { list, ...pagination } = response.data;
      dispatch('updatePagination', pagination);
      commit(GET_PAGE_RECORDS, list);
    });
  },
  storeQueryData({ state, commit, dispatch }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
};

const mutations = {
  [GET_PAGE_RECORDS](state, list) {
    state.list = list;
  },
  [STORE_QUERY_DATA](state, list) {
    state.storeData = {
      ...state.storeData,
      ...list,
    };
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
