import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import { fetchConnectDeviceList } from '@/api/device/connectDevice';

const GET_CONNECT_DEVICE_LIST = 'GET_CONNECT_DEVICE_LIST';

const initFilters = () => ({
  deviceCode: '',
  deviceType: undefined,
  onlineStatus: '', //1：在线；0：离线
});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
  list: [],
});
const getters = {
  connectDeviceList: state => state.list,
};
const actions = {
  fetchConnectDeviceList({ dispatch, commit, state, getters }, entity) {
    let filters = getFilters(getters.filters);
    return fetchConnectDeviceList({
      ...filters,
      ...state.pagination,
      ...entity,
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_CONNECT_DEVICE_LIST, list);
    });
  },
};
const mutations = {
  [GET_CONNECT_DEVICE_LIST](state, list) {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
