import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { fetchDeviceWarningList,getIllegitmacy ,getSelfService,getServiceType} from '@/api/device/warning';
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
const formatDate = utils.formatDate;

const GET_DEVICE_LIST = 'GET_DEVICE_LIST';
const STORE_QUERY_DATA='STORE_QUERY_DATA';
const ILLEGIT_QUERY_DATA='ILLEGIT_QUERY_DATA';
const SELF_QUERY_DATA='SELF_QUERY_DATA';
const SELFTYPE_QUERY_DATA='SELFTYPE_QUERY_DATA';





const state = () => ({
 illegitmacyList:[],
  list: [],
  serviceTypeList:[],
  selfServiceList:[],
  deviceFilterData:{
    deviceCode:null,
    campusId:null,
    deviceCategory:null,
    deviceLocation:'',
    timeSelect:[],
    operation:null,
    operName:'',
    deviceType:'',
    warnLevel:'',


  }
});
const getters = {
  deviceList: state => state.list,
  deviceFilterData: state => state.deviceFilterData,
  illegitmacyList:state => state.illegitmacyList,
  selfServiceList:state => state.selfServiceList,
  serviceTypeList:state => state.serviceTypeList,
};
const actions = {
    fetchDeviceWarningList({ dispatch, state, commit,getters }, entity) {

    const { timeSelect, ...filters } = getFilters(state.deviceFilterData);
    if (timeSelect) {
      const [operTimeStart, operTimeEnd] = timeSelect;
      filters.operTimeStart = operTimeStart;
      if (operTimeEnd) filters.operTimeEnd = formatDate(operTimeEnd, 'yyyy-MM-dd') + ' 23:59:59';
    }

    return fetchDeviceWarningList({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const { list, ...pagination } = response.data;

      commit(GET_DEVICE_LIST, list);
      dispatch('updatePagination', pagination);
    });
  },
  storeQueryData({ commit }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
  getIllegitmacy({
    state,
    commit,
    dispatch
  }, entity) {
    return getIllegitmacy({
      params: {
        ...entity,
      },
    }).then(res => {
      const illegitmacyList = res.data;
      commit(ILLEGIT_QUERY_DATA, illegitmacyList);

    });
  },
  getServiceType({
    state,
    commit,
    dispatch
  }, entity) {
    return getServiceType({
      params: {
        ...entity,
      },
    }).then(res => {
      const serviceTypeList = res.data;
      commit(SELFTYPE_QUERY_DATA, serviceTypeList);

    });
  },

  getSelfService({
    state,
    commit,
    dispatch
  }, entity) {
    return getSelfService({
      params: {
        ...entity,
      },
    }).then(res => {
      const selfServiceList = res.data;
      commit(SELF_QUERY_DATA, selfServiceList);

    });
  },

};
const mutations = {
  [GET_DEVICE_LIST](state, list) {
    state.list = list;
  },
  [ILLEGIT_QUERY_DATA](state, illegitmacyList) {
    state.illegitmacyList = illegitmacyList;
  },
  [SELF_QUERY_DATA](state, selfServiceList) {
    state.selfServiceList = selfServiceList;
  },
  [SELFTYPE_QUERY_DATA](state, serviceTypeList) {
    state.serviceTypeList = serviceTypeList;
  },
  [STORE_QUERY_DATA](state, list) {
    state.deviceFilterData = {
      ...state.deviceFilterData,
      ...list,
    };
  },

};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
