import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import { fetchUpdateLogList } from '@/api/device/updateLog';

const GET_UPDATE_LOG_LIST = 'GET_UPDATE_LOG_LIST';

const initFilters = () => ({
  deviceCode: '',
  versionName: '',
  deviceType: undefined,
  upgradeStatus: '', // 升级状态 0：未升级；1：升级中；2：升级成功。默认0
});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
  list: [],
});
const getters = {
  updateLogList: state => state.list,
};
const actions = {
  fetchUpdateLogList({ dispatch, commit, state, getters }, entity) {
    let filters = getFilters(getters.filters);
    return fetchUpdateLogList({
      ...filters,
      ...state.pagination,
      ...entity,
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_UPDATE_LOG_LIST, list);
    });
  },
};
const mutations = {
  [GET_UPDATE_LOG_LIST](state, list) {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
