import store from '@/store/index';
import deviceTypeOptions from '../deviceTypeOptions';
import { mapGetters, mapActions } from 'vuex';

export default {
  created() {
    if (!store.state.HairDryer) {
      store.registerModule(['HairDryer'], {
        namespaced: true,
      });
    }
    if (!store.state.HairDryer.deviceTypeOptions) {
      store.registerModule(
        ['HairDryer', 'deviceTypeOptions'],
        deviceTypeOptions
      );
    }
    if (this.deviceTypeOptions.length === 0) {
      this.fetchDeviceTypeOptions();
    }
  },
  computed: {
    ...mapGetters('HairDryer/deviceTypeOptions', ['deviceTypeOptions']),
  },
  methods: {
    ...mapActions('HairDryer/deviceTypeOptions', [
      'fetchDeviceTypeOptions',
    ]),
    getDeviceTypeLabel(r, c, val) {
      let item = this.deviceTypeOptions.find(i => i.id === val);
      return item ? item.name : val;
    },
  },
};
