import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { fetchDetailList } from '@/api/interfaceApp/interfaceApp';

const GET_LIST = 'GET_LIST';

const state = () => ({
  list: [],
});

const getters = {
  listData: state => state.list,
};

const actions = {
  fetchDetailList({ state, commit, dispatch }, entity) {
    return fetchDetailList({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...entity,
      },
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_LIST, list);
    });
  },
};

const mutations = {
  [GET_LIST]: (state, list) => {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
