import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import configStore from './configStore';
import { fetchInterfaceList } from '@/api/interfaceManager/interfaceManager';
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;


const GET_LIST = 'GET_LIST';
const initFilters = () => ({
  interfaceCode: null,
  interfaceName: null,
  developer: '',
  interfaceMethod:'',
  isDown:'',
  isLog:'',
  handoverPerson:'',
});
const filtersStore = initFiltersStore(initFilters);


const state = () => ({
  list: [],
});

const getters = {
  listData: state => state.list,
};

const actions = {
  fetchInterfaceList({ state, commit, dispatch ,getters}, entity) {
    let filters = getFilters(getters.filters);
    return fetchInterfaceList({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_LIST, list);
    });
  },
};

const mutations = {
  [GET_LIST]: (state, list) => {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    configStore,
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
