import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;

const GET_CONFIG_LIST = 'GET_CONFIG_LIST';

const state = () => ({
  list: [],
});

const getters = {
  listData: state => state.list,
};

const actions = {
  fetchDetailConfigList({ state, commit, dispatch }, entity) {
    return dispatch('fetchDetailList', {
      pageNum: state.pagination.pageNum,
      pageSize: state.pagination.pageSize,
      ...entity,
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_CONFIG_LIST, list);
    });
  },
};

const mutations = {
  [GET_CONFIG_LIST]: (state, list) => {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
