import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { fetchOperLogList } from '@/api/operLog/operLog';
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;

const GET_OPER_LOG_LIST = 'GET_OPER_LOG_LIST';
const initFilters = () => ({
  loginAccount: null,
  name: null,
  cellphone: '',
  function: null,
});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
  list: [],
});

const getters = {
  listData: state => state.list,
};

const actions = {
  fetchOperLogList({ state, commit, dispatch, getters }, entity) {
    let filters = getFilters(getters.filters);
    let startDay = null;
    let endDay = null;
    if (filters.timeRange) {
      if (filters.timeRange[0]) {
        startDay = filters.timeRange[0];
      }

      if (filters.timeRange[1]) {
        endDay = filters.timeRange[1];
      }
    }
    return fetchOperLogList({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
        startDay: startDay,
        endDay: endDay,
      },
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_OPER_LOG_LIST, list);
    });
  },
};

const mutations = {
  [GET_OPER_LOG_LIST]: (state, list) => {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
