import { getPageAndTotalMoney } from '@/api/order/rechargeOrder';
const formatDate = utils.formatDate;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;

const GET_PAGE_TOTALMONEY = 'GET_PAGE_TOTALMONEY';
const TOTALMONEY = 'TOTALMONEY';
const STORE_QUERY_DATA = 'STORE_QUERY_DATA';
// let newDate = new Date();
const state = () => ({
  list: [],
  totalMoney: '',
  storeData: {
    timeRange: [
      formatDate(new Date(), 'yyyy-MM-dd') + ' 00:00:00',
      formatDate(new Date(), 'yyyy-MM-dd') + ' 23:59:59',
    ],
    //区域
    areaId: null,
    //电话
    customerPhone: '',
    //姓名
    customerName: '',
    orderNum: '',
    // startTime: '',
    // endTime: '',
    fromAmount: null,
    toAmount: null,
    customerId: null,
    payType: [],
    whetherGo: false,
  },
});

const getters = {
  list: state => state.list,
  totalMoney: state => state.totalMoney,
  storeData: state => state.storeData,
};

const actions = {
  getPageAndTotalMoney({ commit, state, dispatch }, entity) {
    const { timeRange, ...filters } = getFilters(state.storeData);
    if (timeRange) {
      const [startTime, endTime] = timeRange;
      if (startTime) filters.startTime = startTime;
      if (endTime) filters.endTime = formatDate(endTime, 'yyyy-MM-dd') + ' 23:59:59';
    }

    // if(filters.payType=='ZR'){
    //   filters.payType='1';
    //   filters.businessType='06'
    // }else if (filters.payType=='1'){
    //   filters.businessType='02'
    // }
    let zr = null;
    let fuck = null;
    if (filters.payType) {
       zr = filters.payType.some(t => t == 'ZR');
       fuck = filters.payType.some(t => t == '1');
      if (zr && fuck) {
        filters.payType = filters.payType.filter(t => t != 'ZR');
      } else if (!zr && fuck) {
        filters.businessType = '06';
      } else if (zr && !fuck) {
        console.log("index:", filters.payType.findIndex(t => t == "ZR"));
        filters.payType[filters.payType.findIndex(t => t == "ZR")] = '1';
        filters.businessType = '02';
      }
    }
    // console.log(filters.payType,"ss");
    // return;
    return getPageAndTotalMoney({
      data: {
        ...state.pagination,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const totalMoney = response.totalMoney;
      const { list, ...pagination } = response.data;

      if (zr && fuck) {
        filters.payType[filters.payType.length] = 'ZR';
      } else if (zr && !fuck) {
        console.log("index:", filters.payType.findIndex(t => t == "ZR"));
        filters.payType[filters.payType.findIndex(t => t == "1")] = 'ZR';
      }
      filters.businessType = null;
      dispatch('updatePagination', pagination);
      commit(GET_PAGE_TOTALMONEY, list);
      commit(TOTALMONEY, totalMoney);
    });
  },
  storeQueryData({ state, commit, dispatch }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
};

const mutations = {
  [GET_PAGE_TOTALMONEY](state, list) {
    state.list = list;
  },
  [TOTALMONEY](state, totalMoney) {
    state.totalMoney = totalMoney;
  },
  [STORE_QUERY_DATA](state, list) {
    state.storeData = {
      ...state.storeData,
      ...list,
    };
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
