import { getPageRefund } from '@/api/order/refundOrder';
const formatDate = utils.formatDate;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;

const GET_PAGE_TOTALMONEY = 'GET_PAGE_TOTALMONEY';
const TOTALMONEY = 'TOTALMONEY';
const STORE_QUERY_DATA = 'STORE_QUERY_DATA';

// let newDate = new Date();

const state = () => ({
  list: [],
  totalMoney: '',
  storeData: {
    timeRange: [
      formatDate(new Date(), 'yyyy-MM-dd') + ' 00:00:00',
      formatDate(new Date(), 'yyyy-MM-dd') + ' 23:59:59',
    ],
    //区域
    areaId: null,
    //电话
    customerPhone: '',
    //姓名
    customerName: '',
    customerId: null,
    orderNum: '',
    fromAmount: null,
    toAmount: null,
    payType: [],
    whetherGo: false,
  },
});

const getters = {
  list: state => state.list,
  totalMoney: state => state.totalMoney,
  storeData: state => state.storeData,
};

const actions = {
  getPageRefund({ commit, state, dispatch }, entity) {
    const { timeRange, ...filters } = getFilters(state.storeData);
    if (timeRange) {
      const [startTime, endTime] = timeRange;
      if (startTime) filters.startTime = startTime;
      if (endTime) filters.endTime = formatDate(endTime, 'yyyy-MM-dd') + ' 23:59:59';
    }
    // console.log(filters.payType);
    if(filters.payType=='ZC'){
      filters.payType=[];
      filters.payType[0]='1';
      filters.businessType='03'
    }else if (filters.payType=='1'){
      filters.payType=[];
      filters.payType[0]='1';
      filters.businessType='07'
    }
    return getPageRefund({
      data: {
        ...state.pagination,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const totalMoney = response.totalMoney;
      const { list, ...pagination } = response.data;
      // console.log(filters.businessType,"----");
      if(filters.businessType=='07'){
        filters.payType='1';
      }else if(filters.businessType=='03'){
        filters.payType='ZC'
      }
      filters.businessType=null;
      dispatch('updatePagination', pagination);
      commit(GET_PAGE_TOTALMONEY, list);
      commit(TOTALMONEY, totalMoney);
    });
  },
  storeQueryData({ state, commit, dispatch }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
};

const mutations = {
  [GET_PAGE_TOTALMONEY](state, list) {
    state.list = list;
  },
  [TOTALMONEY](state, totalMoney) {
    state.totalMoney = totalMoney;
  },
  [STORE_QUERY_DATA](state, list) {
    state.storeData = {
      ...state.storeData,
      ...list,
    };
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
