import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { fetchRoleList } from '@/api/role/role';
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;

const GET_ROLE_LIST = 'GET_ROLE_LIST';

const initFilters = () => ({
  roleCode: null,
  roleName: null,


});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
  list: [],
});

const getters = {
  listData: state => state.list,
};

const actions = {
  fetchRoleList({ state, commit, dispatch,getters }, entity) {
    let filters = getFilters(getters.filters);
    return fetchRoleList({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_ROLE_LIST, list);
    });
  },
};

const mutations = {
  [GET_ROLE_LIST]: (state, list) => {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
