import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { fetchAppointRecordList } from '@/api/shower/appointment';
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
const formatDate = utils.formatDate;

const GET_APPOINTRECORD_LIST = 'GET_APPOINTRECORD_LIST';
const STORE_QUERY_DATA='STORE_QUERY_DATA';


const state = () => ({
  list:[],
  appointRecordData:{
    phone:'',
    campusId:null,
    used:null,
    userId:'',
    userName:'',
    deviceCode:'',
    deviceLocation:'',
    timeSelect:[],




  }
});
const getters = {
  appoinRecordList: state => state.list,
  appointRecordData: state => state.appointRecordData,
};
const actions = {
    fetchAppointRecordList({ dispatch, state, commit,getters }, entity) {
    //const filters = getFilters(state.appointRecordData);
    const { timeSelect, ...filters } = getFilters(state.appointRecordData);
    if (timeSelect) {
      const [fromDate, toDate] = timeSelect;
      filters.fromDate = fromDate;
      if (toDate) filters.toDate = formatDate(toDate, 'yyyy-MM-dd') + ' 23:59:59';
    }
    return fetchAppointRecordList({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const { list, ...pagination } = response.data;

      commit(GET_APPOINTRECORD_LIST, list);
      dispatch('updatePagination', pagination);
    });
  },
  storeQueryData({ commit }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },

};
const mutations = {
  [GET_APPOINTRECORD_LIST](state, list) {
    state.list = list;
  },
  [STORE_QUERY_DATA](state, list) {
    state.appointRecordData = {
      ...state.appointRecordData,
      ...list,
    };
  },

};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
