import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { fetchAppointList } from '@/api/shower/appointment';
import utils from '@/lib/utils';
const getFilters = utils.getFilters;

const GET_APPOINT_LIST = 'GET_APPOINT_LIST';
const STORE_QUERY_DATA='STORE_QUERY_DATA';
const STORE_APPOINT_CONFIG='STORE_APPOINT_CONFIG';


const state = () => ({
  list: [],
  appointFilterData:{
    operateId:null,
    campusId:null,
    enable:null,
    punishStd:null,

  }
});
const getters = {
  appointList: state => state.list,
  appointFilterData: state => state.appointFilterData,
};
const actions = {
    fetchAppointList({ dispatch, state, commit,getters }, entity) {
    const filters = getFilters(state.appointFilterData);

    return fetchAppointList({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const { list, ...pagination } = response.data;

      commit(GET_APPOINT_LIST, list);
      dispatch('updatePagination', pagination);
    });
  },
  storeQueryData({ commit }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },

};
const mutations = {
  [GET_APPOINT_LIST](state, list) {
    state.list = list;
  },
  [STORE_QUERY_DATA](state, list) {
    state.appointFilterData = {
      ...state.appointFilterData,
      ...list,
    };
  },

};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
