import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
const initFiltersStore = storeModule.filter;
import { fetchLocationList } from '@/api/shower/location';
import utils from '@/lib/utils';
const getFilters = utils.getFilters;

const GET_LOCATION_LIST = 'GET_LOCATION_LIST';
const RESET_EQUIPMENT_LIST = 'RESET_EQUIPMENT_LIST';

const initFilters = () => ({
  campusId: null,
  name: null,
});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
  list: [],
});
const getters = {
  locationList: state => state.list,
};
const actions = {
  fetchLocationList({ dispatch, state, commit,getters }, entity) {
    const filters = getFilters(getters.filters);
    if(entity &&entity.campusId){
      dispatch("updateFilters",{campusId:entity.campusId})
    }

    return fetchLocationList({

      ...filters,
      ...state.pagination,
      ...entity,
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_LOCATION_LIST, list);
    });
  },

  rest({ commit, dispatch }) {
    dispatch('resetPagination');
    dispatch('resetFilters');
    commit(RESET_EQUIPMENT_LIST);
  },
};
const mutations = {
  [GET_LOCATION_LIST](state, list) {
    state.list = list;
  },
  [RESET_EQUIPMENT_LIST](state) {
    state.list = [];
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
