import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { fetchConfigList } from '@/api/shower/showConfig';
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
const formatDate = utils.formatDate;

const GET_SHOWCONFIG_LIST = 'GET_SHOWCONFIG_LIST';
const STORE_QUERY_DATA='STORE_QUERY_DATA';


const state = () => ({
  list:[],
  showConfigData:{
    baseUseType:'',
    campusId:null,
    useType:'',




  }
});
const getters = {
  showConfigList: state => state.list,
  showConfigData: state => state.showConfigData,
};
const actions = {
  fetchConfigList({ dispatch, state, commit,getters }, entity) {
    //const filters = getFilters(state.appointRecordData);
    const  filters  = getFilters(state.showConfigData);

    return fetchConfigList({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const { list, ...pagination } = response.data;

      commit(GET_SHOWCONFIG_LIST, list);
      dispatch('updatePagination', pagination);
    });
  },
  storeQueryData({ commit }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },

};
const mutations = {
  [GET_SHOWCONFIG_LIST](state, list) {
    state.list = list;
  },
  [STORE_QUERY_DATA](state, list) {
    state.showConfigData = {
      ...state.showConfigData,
      ...list,
    };
  },

};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
