import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { fetchUserList } from '@/api/systemUser/systemUser';
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;

const GET_USER_LIST = 'GET_USER_LIST';

const initFilters = () => ({
  loginAccount: null,
  name: null,
  cellphone: '',
  state:'',
  operateId:null,



});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
  list: [],
});

const getters = {
  listData: state => state.list,
};

const actions = {
  fetchUserList({ state, commit, dispatch,getters }, entity) {
    let filters = getFilters(getters.filters);
    return fetchUserList({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_USER_LIST, list);
    });
  },
};

const mutations = {
  [GET_USER_LIST]: (state, list) => {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
