import storeModule from '@/lib/storeModule';
const initFiltersStore = storeModule.filter;
import { fetchDeviceFreeList} from '@/api/dispenser/deviceFree';
import utils from '@/lib/utils';
const getFilters = utils.getFilters;

const initFilters = () => ({
  mode:2,
  areaId: null,
});

const filtersStore = initFiltersStore(initFilters);

const GET_LIST = 'GET_LIST';
const RESET_DEVICE_DATA='RESET_DEVICE_DATA';

const initState = () => ({
    list:[],
    configs:[],
    listCodes:[],
});

const state = () => ({
  data: initState(),
});

const getters = {
  list: state => state.data.list,
  configs: state => state.data.configs,
  listCodes: state => state.data.listCodes,
};

const actions = {
    fetchDeviceFreeList({ commit, getters }) {
    const filters = getFilters(getters.filters);
    // console.log(filters);
    return fetchDeviceFreeList({
        areaId:filters.areaId,
        mode:filters.mode,
    }).then(res => {
      const data = res;
    //   console.log(data)
    //state.data.listCodes = res.configs.map(item => item.deviceCode),
      commit(GET_LIST, data);
    });
  },

  resetDeviceFree({ commit, dispatch }) {
    dispatch('updateFilters', {
      areaId: null,
      mode:'',
    });
    commit(RESET_DEVICE_DATA);
  },
}

const mutations = {

  [GET_LIST](state,data) {
    state.data.list =data.data.concat(data.configs);

    state.data.listCodes =  data.configs.map(item => item.deviceCode);

  },
  [RESET_DEVICE_DATA](state) {
    state.data.list = initState().list;
    state.data.configs = initState().configs;
    state.data.listCodes = initState().listCodes;

  },
};

export default {
    namespaced: true,
  modules: {
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
