import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
const initFiltersStore = storeModule.filter;
import { fetchQrConfigList } from '../../../api/dispenser/qr';

const GET_QR_LIST = 'GET_QR_LIST';

const initFilters = () => ({
  campusId:undefined,
  useType: '',
  baseUseType: '',

});
const filtersStore = initFiltersStore(initFilters);
const state = () => ({
  list: [],
});
const getters = {
  qrList: state => state.list,
};
const actions = {
  fetchQrConfigList({ dispatch, state, commit ,getters}, entity) {

    const filters = getFilters(getters.filters);
    if(entity && entity.campusId){
      dispatch("updateFilters",{campusId:entity.campusId})
    }
    return fetchQrConfigList({
      ...filters,
      ...state.pagination,
      ...entity,
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_QR_LIST, list);
    });
  },
  rest({ commit, dispatch }) {
    dispatch('resetPagination');
    dispatch('resetFilters');
    commit(GET_QR_LIST);
  },
};
const mutations = {
  [GET_QR_LIST](state, list) {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    filtersStore,

  },
  state,
  getters,
  actions,
  mutations,
};
