import dispenserDeviceType from './store/dispenserTypeRate';
import { mapGetters, mapActions } from 'vuex';

export default {
  created() {
    if (!this.$store.state.waterDispenser) {
      this.$store.registerModule(['waterDispenser'], {
        namespaced: true,
      });
    }
    if (!this.$store.state.waterDispenser.dispenserDeviceType) {
      this.$store.registerModule(
        ['waterDispenser', 'dispenserDeviceType'],
        dispenserDeviceType
      );
    }
    if (this.dispenserDeviceType.length === 0) {
      this.fetchDeviceTypeOptions();
    }
  },
  computed: {
    ...mapGetters('waterDispenser/dispenserDeviceType', [
      'dispenserDeviceType',
      'dispenserRateType',
    ]),
  },
  methods: {
    ...mapActions('waterDispenser/dispenserDeviceType', [
      'fetchDeviceTypeOptions',
    ]),
    getDeviceTypeLabel(r, c, val) {
      let item = this.dispenserDeviceType.find(i => i.value === val);
      return item ? item.name : val;
    },
    getRateTypeLabel(r, c, val) {
      let item = this.dispenserRateType.find(i => i.value === val);
      return item ? item.name : val;
    },
  },
};
