import { getDeviceTypeList } from '@/api/dispenser/equipment';

const GET_DISPENSER_DEVICE_TYPE = 'GET_DISPENSER_DEVICE_TYPE';
const GET_DISPENSER_RATE_TYPE = 'GET_DISPENSER_RATE_TYPE';
const state = () => ({
  dispenserDeviceType: [],
  dispenserRateType: [],
});
const getters = {
  dispenserDeviceType: state => state.dispenserDeviceType,
  dispenserRateType: state => state.dispenserRateType,
};
const actions = {
  fetchDeviceTypeOptions({ commit }) {
    return getDeviceTypeList().then(res => {
      const { deviceType, rateType } = res.data;
      commit(GET_DISPENSER_DEVICE_TYPE, deviceType);
      commit(GET_DISPENSER_RATE_TYPE, rateType);
    });
  },
};
const mutations = {
  [GET_DISPENSER_DEVICE_TYPE](state, list) {
    state.dispenserDeviceType = list;
  },
  [GET_DISPENSER_RATE_TYPE](state, list) {
    state.dispenserRateType = list;
  },
};

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations,
};
