import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { getAreaBusiness } from '@/api/baseArea/areaBusiness';
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
const AREABUSINESS_PAGE='AREABUSINESS_PAGE';
const STORE_QUERY_DATA = 'STORE_QUERY_DATA';

const state = () => ({
  list: [],

  filterData: {
    areaId: null,
    businessType: null,
    isOpen:null,
    whetherGo: false,
  },
});

const getters = {
  list: state => state.list,
  filterData: state => state.filterData,
};

const actions = {
    getAreaBusiness({ commit, state, dispatch }, entity) {
      let filters  = getFilters(state.filterData);
    return getAreaBusiness({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(resp =>{
        const { list, ...pagination } = resp.data;
        dispatch('updatePagination', pagination);
        commit(AREABUSINESS_PAGE,list);
    });
  },
  storeQueryData({ commit }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
};

const mutations = {
    [AREABUSINESS_PAGE](state, list) {
        state.list = list;
      },
    [STORE_QUERY_DATA](state, list) {
        state.filterData = {
          ...state.filterData,
          ...list,
        };
      },
};

export default {
    namespaced: true,
    modules: {
      pagination,
    },
    state,
    getters,
    actions,
    mutations,
  };
