import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import {
  query4Page,
  update4Lock,
  addEntity,
  queryById,
} from '@/api/areaRechargeConf/areaRechargeConf';

const LIST = 'LIST';

const state = () => ({
  list: [],
});

const getters = {
  list: state => state.list,
};

const actions = {
  query4Page({ commit, state, dispatch }, entity) {
    return query4Page({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...entity,
      },
    }).then(response => {
      const {
        data: { list, ...pagination },
      } = response;

      dispatch('updatePagination', pagination);
      commit(LIST, list);
    });
  },

  update4Lock({ commit, state, dispatch }, entity) {
    return update4Lock({
      params: {
        ...entity,
      },
    });
  },

  addEntity({ commit, state, dispatch }, entity) {
    return addEntity({
      data: {
        ...entity,
      },
    });
  },
  queryById({ commit, state, dispatch }, entity) {
    return queryById({
      params: {
        ...entity,
      },
    });
  },
};

const mutations = {
  [LIST](state, list) {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
