import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import {
    getRelations,
    addRelations
} from '@/api/areaSms/areaSms';

const STORE_SMSCODE = 'STORE_SMSCODE';
const initFilters = () => ({
    sectionCode: null,
});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
    list: [],
    originSmsCodeData: '',
});

const getters = {
    listData: state => state.list,
    originSmsCodeData: state =>state.originSmsCodeData,
};

const actions = {
    getRelations({
        commit,
        state,
        dispatch
    }, entity) {
        return getRelations({
            params: {
                ...entity,
            },
        })
    },
    addRelations({
        commit,
        state,
        dispatch
    }, entity) {
        console.log(entity);
        return addRelations({
            data: {
                ...entity,
            }
        })
    },
    storeSmsCodeData({
        commit,
        state,
        dispatch
    }, entity) {
        commit(STORE_SMSCODE, entity);
    }
};

const mutations = {
    [STORE_SMSCODE](state, entity) {
        state.originSmsCodeData = entity;
    },
};

export default {
    namespaced: true,
    modules: {
        filtersStore,
    },
    state,
    getters,
    actions,
    mutations,
};
