import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { getBaseArea } from '@/api/baseArea/area';
import utils from '@/lib/utils';
const getFilters = utils.getFilters;

const BASEAREA_PAGE = 'BASEAREA_PAGE';
const STORE_QUERY_DATA='STORE_QUERY_DATA';

const state = () => ({
  list: [],
  areaData:{
    rechargeOperateId:null,
    areaId:null,
    id:null,
    hdVersion:null,
    provinces:null,
    areaType:null,
    property:null,


  }
});

const getters = {
  list: state => state.list,
  areaData: state => state.areaData,
};

const actions = {
  getBaseArea({ commit, state, dispatch }, entity) {
   // const filters  = getFilters(state.areaData);
    const { provinces, ...filters } = getFilters(state.areaData);
    if (provinces) {
      filters.cityIdGroup= provinces.join(',')
    }
    return getBaseArea({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(resp => {
      const { list, ...pagination } = resp.data;
      dispatch('updatePagination', pagination);
      commit(BASEAREA_PAGE, list);
    });
  },
  storeQueryData({ commit }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
};

const mutations = {
  [BASEAREA_PAGE](state, list) {
    state.list = list;
  },
  [STORE_QUERY_DATA](state, list) {
    state.areaData = {
      ...state.areaData,
      ...list,
    };
  },

};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
