import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { fetchOperationalModeList } from '@/api/cbm/OperationalMode';

const GET_OPERATION_MODE_LIST = 'GET_OPERATION_MODE_LIST';

const state = () => ({
  list: [],
});

const getters = {
  listData: state => state.list,
};

const actions = {
  fetchOperationModeList({ state, commit, dispatch }, entity) {
    return fetchOperationalModeList({
      params: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...entity,
      },
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_OPERATION_MODE_LIST, list);
    });
  },
};

const mutations = {
  [GET_OPERATION_MODE_LIST]: (state, list) => {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
