import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;

const GET_RECORD_LIST = 'GET_RECORD_LIST';

const state = () => ({
  list: [],
});

const getters = {
  listData: state => state.list,
};

const actions = {
  fetchPaywayList({ commit, dispatch }, entity) {
    return fetchPaywayList({
      params: entity,
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_RECORD_LIST, list);
    });
  },
};

const mutations = {
  [GET_RECORD_LIST]: (state, list) => {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
