import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { fetchPaywayList,fetchUsingPayType } from '@/api/cbm/payway';
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;

const GET_PAYWAY_LIST = 'GET_PAYWAY_LIST';

const initFilters = () => ({
  operateId: null,
  areaId: null,
  customerType: '',
  serviceId: null,
  payType: null,

});
const filtersStore = initFiltersStore(initFilters);
const state = () => ({
  list: [],
});

const getters = {
  listData: state => state.list,
};

const actions = {
  fetchPaywayList({ commit, dispatch, state ,getters}, entity) {
    let filters = getFilters(getters.filters);
    return fetchPaywayList({
      params: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_PAYWAY_LIST, list);
    });
  },
  fetchUsingPayType({ commit, dispatch, state }, entity){
    return fetchUsingPayType({ params:{...entity},});
  },
};

const mutations = {
  [GET_PAYWAY_LIST]: (state, list) => {
    state.list = list;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
