import {
  getAreaConsumeList,
  getAreaConsumeCount,
} from '@/api/report/consumeAreaSum';
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
const formatDate = utils.formatDate;

const CONSUMEAREASUM_INFO = 'CONSUMEAREASUM_INFO';
const STORE_QUERY_DATA = 'STORE_QUERY_DATA';
const AREACONSUMESUMVO = 'AREACONSUMESUMVO';
const UPDATETIME="UPDATETIME";
const getfromDate= ()=>{
  let operDate = new Date();
  return formatDate(operDate,'yyyy-MM-01 00:00:00')
}
const getendDate= ()=>{
  return formatDate(new Date(new Date().getTime() - 24 * 60 * 60 * 1000), 'yyyy-MM-dd 23:59:59')
}

const state = () => ({
  list: [],
  areaConsumeSumvo: {
    paymentMoney: 0,
    aimiMoney: 0,
    beanCount: 0,
    discountMoney: 0,
    subtotalMoney: 0,
  },
  filterData: {
    areaId: [],
    operateId: null,
    serviceId: null,
    //时间选择
    timeSelect: [
      //date.getFullYear() + '-' + (date.getMonth() + 1) + '-' + '1',
      getfromDate(),
      getendDate()
    ],
    whetherGo: false,
  },
});

const getters = {
  list: state => state.list,
  filterData: state => state.filterData,
  areaConsumeSumvo: state => state.areaConsumeSumvo,
};

const actions = {
  getAreaConsumeList({ commit, state, dispatch }, entity) {
    const { timeSelect, ...filters } = getFilters(state.filterData);
    const [fromDate, toDate] = timeSelect;
    if (timeSelect) {
      if(toDate== formatDate(new Date( new Date().getFullYear(),(new Date().getMonth() + 1) ,0),'yyyy-MM-dd') +' 23:59:59'){

        filters.fromDate =  formatDate(new Date( new Date().getFullYear() + '-' + new Date().getMonth() + '-' + '1'),'yyyy-MM-dd')+ ' 00:00:00';
      commit('UPDATETIME',[ filters.fromDate,toDate]);
      }else{

        filters.fromDate = fromDate;
        if (toDate) filters.toDate = toDate;
      }

      // if (fromDate) filters.fromDate = fromDate;
      // if (toDate) filters.toDate = toDate;
    }
    return getAreaConsumeList({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const { list, ...pagination } = response.data;

      commit(CONSUMEAREASUM_INFO, list);
      dispatch('updatePagination', pagination);
    });
  },
  getAreaConsumeCount({ commit, state, dispatch }, entity) {
    const { timeSelect, ...filters } = getFilters(state.filterData);
    if (timeSelect) {
      const [fromDate, toDate] = timeSelect;
      if (fromDate) filters.fromDate = fromDate;
      if (toDate) filters.toDate = toDate;
    }
    return getAreaConsumeCount({
      data: {
        ...filters,
        ...entity,
      },
    }).then(response => {
     let areaConsumeSumvo  = response.data;
      commit(AREACONSUMESUMVO, areaConsumeSumvo);
    });
  },

  storeQueryData({ commit }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
};

const mutations = {
  [UPDATETIME](state,timeSelect){
    state.filterData.timeSelect=timeSelect;
  },
  [CONSUMEAREASUM_INFO](state, list) {
    state.list = list;
  },
  [AREACONSUMESUMVO](state, areaConsumeSumvo) {

    state.areaConsumeSumvo = areaConsumeSumvo;
  },

  [STORE_QUERY_DATA](state, list) {
    state.filterData = {
      ...state.filterData,
      ...list,
    };
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
