import {
    getconsumeOperList,
    getconsumeOperCollect,
    getconsumeOperDetail,
  } from '@/api/report/consumeOperSum';
  import utils from '@/lib/utils';
const getFilters = utils.getFilters;
  import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
  const formatDate = utils.formatDate;

  const CONSUMEOPERSUM_INFO = 'CONSUMEOPERSUM_INFO';
  const STORE_QUERY_OPER_DATA = 'STORE_QUERY_OPER_DATA';
  const CONSUMEOPERSUMVO = 'CONSUMEOPERSUMVO';

  const getDate= ()=>{
    let operDate = new Date();
    return formatDate(operDate,'yyyy-MM-01 00:00:00')
  }


  const state = () => ({
    list: [],
    //listDetail:[],
    consumeOperSumvo: {
        onlineRecharge: 0,
        offlineRecharge: 0,
        offlineRefund: 0,
        onlineRefund: 0,
        aimiMoney: 0,
        paymentMoney:0,
        discountMoney:0,
    },


    operFilterData: {
      areaId: [],
      operateId: null,
      //时间选择
      yearChoice: getDate(),
    },
  });

  const getters = {
    list: state => state.list,
    operFilterData: state => state.operFilterData,

    consumeOperSumvo: state => state.consumeOperSumvo,

  };

  const actions = {
    getconsumeOperList({ commit, state, dispatch }, entity) {


      const { yearChoice, ...filters } = getFilters(state.operFilterData);

      if (yearChoice) {

        filters.year=yearChoice

      }
      return getconsumeOperList({
        data: {
          pageNum: state.pagination.pageNum,
          pageSize: state.pagination.pageSize,
          ...filters,
          ...entity,
        },
      }).then(response => {
        const { data} = response;

        commit(CONSUMEOPERSUM_INFO, data);

      });
    },
    getconsumeOperCollect({ commit, state, dispatch }, entity) {
      const { yearChoice, ...filters } = getFilters(state.operFilterData);
      if (yearChoice) {
        filters.year=yearChoice
      }
      return getconsumeOperCollect({
        data: {
          ...filters,
          ...entity,
        },
      }).then(response => {
       let consumeOperSumvo  = response.data;
        commit(CONSUMEOPERSUMVO, consumeOperSumvo);
      });
    },


    storeQueryOperData({ commit }, entity) {
      commit(STORE_QUERY_OPER_DATA, entity);
    },
  };

  const mutations = {


    [CONSUMEOPERSUM_INFO](state, list) {
      state.list = list;
    },
    [CONSUMEOPERSUMVO](state, consumeOperSumvo) {

      state.consumeOperSumvo = consumeOperSumvo;
    },

    [STORE_QUERY_OPER_DATA](state, list) {
      state.operFilterData = {
        ...state.operFilterData,
        ...list,
      };
    },
  };

  export default {
    namespaced: true,
    modules: {
      pagination,
    },
    state,
    getters,
    actions,
    mutations,
  };
