import {
  pageCustomerConsume,
  getCustomerConsumeDetail,
} from '@/api/report/customerConsume';
import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
const formatDate = utils.formatDate;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;

const GET_PAGE_TOTAL_DATA = 'GET_PAGE_TOTAL_DATA';
const STORE_QUERY_DATA = 'STORE_QUERY_DATA';

let newDate = new Date();

const state = () => ({
  list: [],
  totalData: {},
  storeData: {
    customerType: null,
    areaId: [],
    customerId: null,
    customerPhone: null,
    customerName: '',

  },
});

const getters = {
  totalData: state => state.totalData,
  listData: state => state.list,
  storeData: state => state.storeData,
};

const actions = {
  pageCustomerConsume({
    state,
    commit,
    dispatch
  }, entity) {
    const {
      timeRange,
      ...filters
    } = getFilters(state.storeData);
    return pageCustomerConsume({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(res => {
      const {
        list,
        ...pagination
      } = res.data;
      let totalData = res.totalData;
      if (!totalData) {
        totalData = {
          totalConsume: 0,
          totalPay: 0,
          totalBean: 0,
          totalAimi: 0,
          totalDiscount: 0
        };
      }
      dispatch('updatePagination', pagination);
      commit(GET_PAGE_TOTAL_DATA, {
        list,
        totalData,
      });
    });
  },
  getCustomerConsumeDetail({
    state,
    commit,
    dispatch
  }, entity) {
    return getCustomerConsumeDetail({
      data: {
        ...entity,
      },
    });
  },
  storeQueryData({
    commit
  }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
};

const mutations = {
  [GET_PAGE_TOTAL_DATA]: (state, {
    list,
    totalData
  }) => {
    state.list = list;
    state.totalData = totalData;
  },
  [STORE_QUERY_DATA](state, list) {
    state.storeData = {
      ...state.storeData,
      ...list,
    };
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
