import { getSwitch, updateSwitch } from '@/api/customer/customerSwitch';
import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;

const GET_CUSTOMER = 'GET_CUSTOMER';
const WINMSDVO = 'WINMSDVO';
const LIST='LIST';
const CUSTOMERSWITCH='CUSTOMERSWITCH';
const SHOWTRUE = 'SHOWTRUE';
const STORE_QUERY_DATA = 'STORE_QUERY_DATA';


const state = () =>({
  // customer: {
  //   id: null,
  // },
  winmsdVo: {
    hardwareCount: null,
    loginCount: null,
    version: null,
  },
  customerSwitch:{
    id:null,
    customerId:null,
    isEnabled:null,
  },
  list:[],
  showTrue: false,
  customerSwitchData:{
    areaId:null,
    customerPhone:null,
    customerId:null,

  },

});

const getters = {
  list: state => state.list,
  winmsdVo: state => state.winmsdVo,
  customerSwitch: state => state.customerSwitch,
  showTrue: state => state.showTrue,
  customerSwitchData: state=>state.customerSwitchData,

};

const actions = {

    getSwitch ({ state,commit }, entity) {
      const filters  = getFilters(state.customerSwitchData);
    return getSwitch({
      params: {
        ...filters,
        ...entity,
      },
    }).then(response => {
      const { list, winmsdVo ,customerSwitch} = response.data;

        // queryRest({
        //   params: {
        //     customerId: customer.id,
        //   },
        // }).then(response => {
        //   const queryRestVos = response.data;
        //   commit(QUERYRESTVOS, queryRestVos);
        //   commit(SHOWTRUE, true);
        // });

      commit(SHOWTRUE, true);
      commit(CUSTOMERSWITCH, customerSwitch);
      commit(WINMSDVO, winmsdVo);
      commit(LIST, list);
    })
    .catch(res=>{
      commit(SHOWTRUE,false)

    });

  },
  storeQueryData({ commit }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },


};

const mutations = {
  [CUSTOMERSWITCH](state, customerSwitch) {
    state.customerSwitch = customerSwitch;
  },
  [WINMSDVO](state, winmsdVo) {
    state.winmsdVo = winmsdVo;
  },

  [SHOWTRUE](state, showTrue) {
    state.showTrue = showTrue;
  },
  [LIST](state, list) {
    state.list = list;
  },
  [STORE_QUERY_DATA](state, list) {
    state.customerSwitchData = {
      ...state.customerSwitchData,
      ...list,
    };
  }


};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
