import {
    getequipmentList,
    getequipmentCount,
  } from '@/api/report/equipmentSum';
  import utils from '@/lib/utils';
const getFilters = utils.getFilters;
  import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
  const formatDate = utils.formatDate;

  const CONSUMEEQUIPSUM_INFO = 'CONSUMEEQUIPSUM_INFO';
  const STORE_QUERY_EQUI_DATA = 'STORE_QUERY_EQUI_DATA';
  const EQUIPCONSUMESUMVO = 'EQUIPCONSUMESUMVO';
  const UPDATECHOICE="UPDATECHOICE";

  const getfromDate= ()=>{
    let operDate = new Date();
    return formatDate(operDate,'yyyy-MM-01 00:00:00')
  }
  const getendDate= ()=>{
    return formatDate(new Date(new Date().getTime() - 24 * 60 * 60 * 1000), 'yyyy-MM-dd 23:59:59')
  }


  const state = () => ({
    list: [],
    equipConsumeSumvo: {
      paymentMoney: 0,
      aimiMoney: 0,
      beanCount: 0,
      discountMoney: 0,
      subtotalMoney: 0,
    },
    equipFilterData: {
      areaId: [],
      operateId: null,
      serviceId: null,
      //时间选择
      timeChoice: [
        getfromDate(),getendDate()
      ],

      equipmentPos:null,
      equipmentNum:null,
    },
  });

  const getters = {
    list: state => state.list,
    equipFilterData: state => state.equipFilterData,
    equipConsumeSumvo: state => state.equipConsumeSumvo,
  };

  const actions = {
    getequipmentList({ commit, state, dispatch }, entity) {
      const { timeChoice, ...filters } = getFilters(state.equipFilterData);
      if (timeChoice) {
        const [fromDate, toDate] = timeChoice;
        if(toDate== formatDate(new Date( new Date().getFullYear(),(new Date().getMonth() + 1) ,0),'yyyy-MM-dd') +' 23:59:59'){

          filters.fromDate =  formatDate(new Date( new Date().getFullYear() + '-' + new Date().getMonth() + '-' + '1'),'yyyy-MM-dd')+ ' 00:00:00';
        commit('UPDATECHOICE',[ filters.fromDate,toDate]);
        }else{
          filters.fromDate = fromDate;
          if (toDate) filters.toDate = toDate;
        }

      }
      return getequipmentList({
        data: {
          pageNum: state.pagination.pageNum,
          pageSize: state.pagination.pageSize,
          ...filters,
          ...entity,
        },
      }).then(response => {
        const { list, ...pagination } = response.data;

        commit(CONSUMEEQUIPSUM_INFO, list);
        dispatch('updatePagination', pagination);
      });
    },
    getequipmentCount({ commit, state, dispatch }, entity) {
      const { timeChoice, ...filters } = getFilters(state.equipFilterData);
      if (timeChoice) {
        const [fromDate, toDate] = timeChoice;
        if (fromDate) filters.fromDate = fromDate;
        if (toDate) filters.toDate = toDate;
      }
      return getequipmentCount({
        data: {
          ...filters,
          ...entity,
        },
      }).then(response => {
       let equipConsumeSumvo  = response.data;
        commit(EQUIPCONSUMESUMVO, equipConsumeSumvo);
      });
    },

    storeQueryEquiData({ commit }, entity) {
      commit(STORE_QUERY_EQUI_DATA, entity);
    },
  };

  const mutations = {
    [UPDATECHOICE](state,timeChoice){
      //console.log(timeChoice)
      state.equipFilterData.timeChoice=timeChoice;
    },
    [CONSUMEEQUIPSUM_INFO](state, list) {
      state.list = list;
    },
    [EQUIPCONSUMESUMVO](state, equipConsumeSumvo) {

      state.equipConsumeSumvo = equipConsumeSumvo;
    },

    [STORE_QUERY_EQUI_DATA](state, list) {
      state.equipFilterData = {
        ...state.equipFilterData,
        ...list,
      };
    },
  };

  export default {
    namespaced: true,
    modules: {
      pagination,
    },
    state,
    getters,
    actions,
    mutations,
  };
