import {getFeedbackRecord } from '@/api/feedBack/feedBack';
import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;

const FEEDBACKRECORD = "FEEDBACKRECORD";

const state = () => ({
  feedbackRecord:[]
});

const getters = {

  feedbackRecord : state => state.feedbackRecord,

};

const actions = {

  getFeedbackRecord({ commit, state, dispatch }, entity) {

    return getFeedbackRecord({
      params: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...entity
      },
    }).then(response =>{
      const { list, ...pagination } = response.data;
      dispatch('updatePagination', pagination);
      commit(FEEDBACKRECORD, list);
    });
  },
};

const mutations = {

  [FEEDBACKRECORD](state, feedbackRecord) {
    state.feedbackRecord = feedbackRecord;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
