import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import {
  queryPage4ActiveGiveBean,
  queryCustomerType,
  addEntity4ActiveGiveBean,
} from '@/api/operationManagement/operationManagement';

import { queryEntityByAreaOperId4FirstRecharge } from '@/api/operationManagement/operationManagement';
import secordStore from './components/activeGiveBeanDetail';

const LIST = 'LIST';
const SERVICE_LIST = 'SERVICE_LIST';
const CUSTOMER_TYPE = 'CUSTOMER_TYPE';
const STORE_QUERY_DATA='STORE_QUERY_DATA';

const state = () => ({
  list: [],

  //拥有的服务
  serviceList: [],
  //会员类型
  customerType: [],
  givenBeanData:{
    operateId:null,
    areaId:null,
    state:'',

  }
});

const getters = {
  list: state => state.list,
  serviceList: state => state.serviceList,
  customerType: state => state.customerType,
  givenBeanData: state => state.givenBeanData,
};

const actions = {
  //列表
  queryPage4ActiveGiveBean({ commit, state, dispatch }, entity) {
    const filters  = getFilters(state.givenBeanData);
    return queryPage4ActiveGiveBean({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const {
        data: { list, ...pagination },
      } = response;

      dispatch('updatePagination', pagination);
      commit(LIST, list);
    });
  },

  queryCustomerType({ commit, state, dispatch }, entity) {
    return queryCustomerType({
      params: {
        ...entity,
      },
    }).then(response => {
      const { data } = response;

      commit(CUSTOMER_TYPE, data);
    });
  },

  addEntity4ActiveGiveBean({ commit, state, dispatch }, entity) {
    return addEntity4ActiveGiveBean({
      data: {
        ...entity,
      },
    });
  },

  queryEntityByAreaOperId4Recharge({ commit, state, dispatch }, entity) {
    return queryEntityByAreaOperId4FirstRecharge({
      params: {
        type: '1',
        ...entity,
      },
    }).then(response => {
      const { serviceData } = response;

      commit(SERVICE_LIST, serviceData);
    });
  },
  storeQueryData({ commit }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
};

const mutations = {
  [LIST](state, list) {
    state.list = list;
  },
  [SERVICE_LIST](state, serviceList) {
    state.serviceList = serviceList;
  },
  [CUSTOMER_TYPE](state, customerType) {
    state.customerType = customerType;
  },
  [STORE_QUERY_DATA](state, list) {
    state.givenBeanData = {
      ...state.givenBeanData,
      ...list,
    };
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    record: secordStore,
  },
  state,
  getters,
  actions,
  mutations,
};
