import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import {
  queryPage4ActiveGiveBean,
  queryheckCustomerType,
  queryCustomerType,
  addEntity4ActiveGiveBean,
  updateEntity4ActiveGiveBean,
  deleteEntity4ActiveGiveBean,
  queryPage4ActiveGiveBeanDetail,
} from '@/api/operationManagement/operationManagement';

import { queryEntityByAreaOperId4FirstRecharge } from '@/api/operationManagement/operationManagement';
const LIST = 'LIST';
const SERVICE_LIST = 'SERVICE_LIST';
const CUSTOMER_TYPE = 'CUSTOMER_TYPE';
const CHECK_CUSTOMER_TYPE = 'CHECK_CUSTOMER_TYPE';

const state = () => ({
  list: [],

  //拥有的服务
  serviceList: [],
  //会员类型
  customerType: [],
  //选中的会员类型
  checkCustomerType: [],
});

const getters = {
  list: state => state.list,
  serviceList: state => state.serviceList,
  customerType: state => state.customerType,
  checkCustomerType: state => state.checkCustomerType,
};

const actions = {
  //列表
  queryPage4ActiveGiveBeanDetail({ commit, state, dispatch }, entity) {
    return queryPage4ActiveGiveBeanDetail({
      params: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...entity,
      },
    }).then(response => {
      const {
        data: { list, ...pagination },
      } = response;

      dispatch('updatePagination', pagination);
      commit(LIST, list);
    });
  },

  //选中的会员类型
  queryheckCustomerType({ commit, state, dispatch }, entity) {
    return queryheckCustomerType({
      params: {
        ...entity,
      },
    }).then(response => {
      const { data } = response;

      commit(CHECK_CUSTOMER_TYPE, data);
    });
  },

  queryCustomerType({ commit, state, dispatch }, entity) {
    return queryCustomerType({
      params: {
        ...entity,
      },
    }).then(response => {
      const { data } = response;

      commit(CUSTOMER_TYPE, data);
    });
  },

  deleteEntity4ActiveGiveBean({ commit, state, dispatch }, entity) {
    return deleteEntity4ActiveGiveBean({
      params: {
        ...entity,
      },
    });
  },

  updateEntity4ActiveGiveBean({ commit, state, dispatch }, entity) {
    return updateEntity4ActiveGiveBean({
      data: {
        ...entity,
      },
    });
  },

  queryEntityByAreaOperId4Recharge({ commit, state, dispatch }, entity) {
    return queryEntityByAreaOperId4FirstRecharge({
      params: {
        type:"1",
        ...entity,
      },
    }).then(response => {
      const { serviceData } = response;

      commit(SERVICE_LIST, serviceData);
    });
  },
};

const mutations = {
  [LIST](state, list) {
    state.list = list;
  },
  [SERVICE_LIST](state, serviceList) {
    state.serviceList = serviceList;
  },
  [CUSTOMER_TYPE](state, customerType) {
    state.customerType = customerType;
  },

  [CHECK_CUSTOMER_TYPE](state, checkCustomerType) {
    state.checkCustomerType = checkCustomerType;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
