import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import {
  queryPage4FirstRecharge,
  updateLock4FirstRecharge,
  updateEntity4FirstRecharge,
  queryEntityById4FirstRecharge,
  queryEntityByAreaOperId4FirstRecharge,
  addEntity,
} from '@/api/operationManagement/operationManagement';

const LIST = 'LIST';
const SERVICE_LIST = 'SERVICE_LIST';
const RECORD_LIST = 'RECORD_LIST';

const STORE_QUERY_DATA='STORE_QUERY_DATA';

const state = () => ({
  list: [],

  //拥有的服务
  serviceList: [],
  recordList: [],
  firstRechargeData:{
    operateId:null,
    areaId:null,
    state:'',
    isEnable:'',

  }
});

const getters = {
  list: state => state.list,
  serviceList: state => state.serviceList,
  recordList: state => state.recordList,
  firstRechargeData: state => state.firstRechargeData,
};

const actions = {
  queryPage4FirstRecharge({ commit, state, dispatch }, entity) {
    const filters  = getFilters(state.firstRechargeData);

    return queryPage4FirstRecharge({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const {
        data: { list, ...pagination },
      } = response;

      dispatch('updatePagination', pagination);
      commit(LIST, list);
    });
  },
  storeQueryData({ commit }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },

  queryEntityByAreaOperId4FirstRecharge({ commit, state, dispatch }, entity) {
    return queryEntityByAreaOperId4FirstRecharge({
      params: {
        ...entity,
      },
    }).then(response => {
      const { serviceData } = response;

      commit(SERVICE_LIST, serviceData);
    });
  },
  updateLock4FirstRecharge({ commit, state, dispatch }, entity) {
    return updateLock4FirstRecharge({
      params: {
        ...entity,
      },
    });
  },
  updateEntity4FirstRecharge({ commit, state, dispatch }, entity) {
    return updateEntity4FirstRecharge({
      data: {
        ...entity,
      },
    });
  },

  add4Entity({ commit, state, dispatch }, entity) {
    return addEntity({
      data: {
        ...entity,
      },
    });
  },
  //queryEntityById4FirstRecharge操作记录

  queryEntityById4FirstRecharge({ commit, state, dispatch }, entity) {
    return queryEntityById4FirstRecharge({
      params: {
        ...entity,
      },
    }).then(response => {
      const { data } = response;

      commit(RECORD_LIST, data);
    });
  },
};

const mutations = {
  [LIST](state, list) {
    state.list = list;
  },
  [SERVICE_LIST](state, serviceList) {
    state.serviceList = serviceList;
  },
  [RECORD_LIST](state, recordList) {
    state.recordList = recordList;
  },
  [STORE_QUERY_DATA](state, list) {
    state.firstRechargeData = {
      ...state.firstRechargeData,
      ...list,
    };
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
