import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import {
  queryPage4Recharge,
  queryEntityById4Recharge,
  deleteEntity4Recharge,
  updateEntity4Recharge,
} from '@/api/operationManagement/operationManagement';

import { queryEntityByAreaOperId4FirstRecharge } from '@/api/operationManagement/operationManagement';
const LIST = 'LIST';
const SERVICE_LIST = 'SERVICE_LIST';
const RECORD_LIST = 'RECORD_LIST';

const LIST_RECHARGE_CONF_OPERRE_CORDVO = 'listRechargeConfOperRecordVo';
const LIST_RECHARGE_CONF_DETAIL = 'listRechargeConfDetail';
const STORE_QUERY_DATA='STORE_QUERY_DATA';


const state = () => ({
  list: [],

  //拥有的服务
  serviceList: [],
  listRechargeConfOperRecordVo: [],
  //详情
  listRechargeConfDetail: [],
  rechargeData:{
    operateId:null,
    areaId:null,
    state:'',
    isEnable:'',

  }
});

const getters = {
  list: state => state.list,
  serviceList: state => state.serviceList,
  listRechargeConfOperRecordVo: state => state.listRechargeConfOperRecordVo,
  listRechargeConfDetail: state => state.listRechargeConfDetail,
  rechargeData: state => state.rechargeData,
};

const actions = {
  queryPage4Recharge({ commit, state, dispatch }, entity) {
    const filters  = getFilters(state.rechargeData);
    return queryPage4Recharge({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const {
        data: { list, ...pagination },
      } = response;

      dispatch('updatePagination', pagination);
      commit(LIST, list);
    });
  },

  deleteEntity4Recharge({ commit, state, dispatch }, entity) {
    return deleteEntity4Recharge({
      params: {
        ...entity,
      },
    });
  },
  updateEntity4Recharge({ commit, state, dispatch }, entity) {
    return updateEntity4Recharge({
      data: {
        ...entity,
      },
    });
  },
  //操作记录
  queryEntityById4Recharge({ commit, state, dispatch }, entity) {
    return queryEntityById4Recharge({
      params: {
        ...entity,
      },
    }).then(response => {
      const { listRechargeConfOperRecordVo, listRechargeConfDetail } = response;
      commit(LIST_RECHARGE_CONF_OPERRE_CORDVO, listRechargeConfOperRecordVo);
      commit(LIST_RECHARGE_CONF_DETAIL, listRechargeConfDetail);
    });
  },

  rechargeDetail({ commit, state, dispatch }, entity) {
    return queryEntityById4Recharge({
      params: {
        ...entity,
      },
    });
  },

  queryEntityByAreaOperId4Recharge({ commit, state, dispatch }, entity) {
    return queryEntityByAreaOperId4FirstRecharge({
      params: {
        ...entity,
      },
    }).then(response => {
      const { serviceData } = response;

      commit(SERVICE_LIST, serviceData);
    });
  },
  storeQueryData({ commit }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
};

const mutations = {
  [LIST](state, list) {
    state.list = list;
  },
  [SERVICE_LIST](state, serviceList) {
    state.serviceList = serviceList;
  },
  [LIST_RECHARGE_CONF_OPERRE_CORDVO](state, listRechargeConfOperRecordVo) {
    state.listRechargeConfOperRecordVo = listRechargeConfOperRecordVo;
  },
  [LIST_RECHARGE_CONF_DETAIL](state, listRechargeConfDetail) {
    state.listRechargeConfDetail = listRechargeConfDetail;
  },
  [STORE_QUERY_DATA](state, list) {
    state.rechargeData = {
      ...state.rechargeData,
      ...list,
    };
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
