import rechargeConf from './rechargeConf';
import areaRecharge from '../../areaRecharge/areaRecharge.js';


export default {
  install(store) {
    if (!store.state.operationManagement) {
      store.registerModule(['operationManagement'], {
        namespaced: true,
      });
    }
    if (!store.state.operationManagement.rechargeConf) {
      store.registerModule(
        ['operationManagement', 'rechargeConf'],
        rechargeConf
      );
    }

    if (!store.state.areaRechargeMain) {
      store.registerModule(['areaRechargeMain'], {
        namespaced: true,
      });
    }
    if (!store.state.areaRechargeMain.areaRecharge) {
      store.registerModule(['areaRechargeMain', 'areaRecharge'], areaRecharge);
    }
  },
  uninstall(store) {
    store.unregisterModule(['operationManagement', 'rechargeConf']);
    store.unregisterModule(['areaRechargeMain', 'areaRecharge']);
  },
};
