import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import {
  queryPage4Register,
  queryRecord4Register,
  updateLock4Register,
  addEntity4Register,
} from '@/api/operationManagement/operationManagement';

import { queryEntityByAreaOperId4FirstRecharge } from '@/api/operationManagement/operationManagement';
const LIST = 'LIST';
const SERVICE_LIST = 'SERVICE_LIST';
const RECORD_LIST = 'RECORD_LIST';
const LIST_REGISTER_CONF_OPERRE_CORDVO = 'LIST_REGISTER_CONF_OPERRE_CORDVO';
const STORE_QUERY_DATA='STORE_QUERY_DATA';

const state = () => ({
  list: [],

  //拥有的服务
  serviceList: [],

  listRegisterConfOperRecord: [],
  registerData:{
    operateId:null,
    areaId:null,
    state:'',
    isEnable:'',
    confState:'',

  }
});

const getters = {
  list: state => state.list,
  serviceList: state => state.serviceList,
  listRegisterConfOperRecord: state => state.listRegisterConfOperRecord,
  registerData: state => state.registerData,
};

const actions = {
  //列表
  queryPage4Register({ commit, state, dispatch }, entity) {
    const filters  = getFilters(state.registerData);
    return queryPage4Register({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const {
        data: { list, ...pagination },
      } = response;

      dispatch('updatePagination', pagination);
      commit(LIST, list);
    });
  },

  //开启/关闭赠送
  updateLock4Register({ commit, state, dispatch }, entity) {
    return updateLock4Register({
      params: {
        ...entity,
      },
    });
  },
  addEntity4Register({ commit, state, dispatch }, entity) {
    return addEntity4Register({
      data: {
        ...entity,
      },
    });
  },
  //操作记录
  queryRecord4Register({ commit, state, dispatch }, entity) {
    return queryRecord4Register({
      params: {
        ...entity,
      },
    }).then(response => {
      const { data } = response;
      commit(LIST_REGISTER_CONF_OPERRE_CORDVO, data);
    });
  },

  queryEntityByAreaOperId4Recharge({ commit, state, dispatch }, entity) {
    return queryEntityByAreaOperId4FirstRecharge({
      params: {
        type:"1",
        ...entity,
      },
    }).then(response => {
      const { serviceData } = response;

      commit(SERVICE_LIST, serviceData);
    });
  },
  storeQueryData({ commit }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },

};

const mutations = {
  [LIST](state, list) {
    state.list = list;
  },
  [SERVICE_LIST](state, serviceList) {
    state.serviceList = serviceList;
  },
  [LIST_REGISTER_CONF_OPERRE_CORDVO](state, listRegisterConfOperRecord) {
    state.listRegisterConfOperRecord = listRegisterConfOperRecord;
  },
  [STORE_QUERY_DATA](state, list) {
    state.registerData = {
      ...state.registerData,
      ...list,
    };
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
