import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import {
    getRelations,
    addRelations
} from '@/api/functionSection/functionSection';

const RESET_DATA = 'RESET_DATA';
const initFilters = () => ({
    sectionCode: null,
});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
    list: [],
});

const getters = {
    listData: state => state.list,
};

const actions = {
    getRelations({
        commit,
        state,
        dispatch
    }, entity) {
        return getRelations({
            params: {
                ...entity,
            },
        })
    },
    addRelations({
        commit,
        state,
        dispatch
    }, entity) {
        console.log(entity);
        return addRelations({
            data: {
                ...entity,
            }
        })
    },
};

const mutations = {
};

export default {
    namespaced: true,
    modules: {
        filtersStore,
    },
    state,
    getters,
    actions,
    mutations,
};
