import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { getBaseOperator } from '@/api/baseArea/operator';
import utils from '@/lib/utils';
const getFilters = utils.getFilters;


const BASEOPER_PAGE = 'BASEOPER_PAGE';
const STORE_QUERY_DATA='STORE_QUERY_DATA';

const state = () => ({
  list: [],
  operData:{
    operateId:null,
    id:null,
    legalPerson:null,
    provinces:null,
    state:'',
    operateName:null,


  }
});

const getters = {
  list: state => state.list,
  operData: state => state.operData,
};

const actions = {
  getBaseOperator({ commit, state, dispatch }, entity) {

    const {provinces,...filters}  = getFilters(state.operData);
    if(provinces){
     filters.cityIdGroup= provinces.join(',')
    }


    return getBaseOperator({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(resp => {
      const { list, ...pagination } = resp.data;
      dispatch('updatePagination', pagination);
      commit(BASEOPER_PAGE, list);
    });
  },
  storeQueryData({ commit }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
};

const mutations = {
  [BASEOPER_PAGE](state, list) {
    state.list = list;
  },
  [STORE_QUERY_DATA](state, list) {
    state.operData = {
      ...state.operData,
      ...list,
    };
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
