import { getOperPayInfo,checkExisting,addOperPayInfo,updateOperPayInfo,
    checkBinding,deleteOperPayInfo,isCloseOperPay,checkBeOn,getOpenedPaytype} from '@/api/baseArea/payability';
import { getPaymentVersion} from '@/api/payment/pav';
import { 
  getAllPayment
 } from '@/api/payment/pav';

const FOR_STORE_DATA = 'FOR_STORE_DATA';
const FOR_PAYMENT = 'FOR_PAYMENT';

const state = () => ({
    paymentData: [],
    abilityData:[],
  });
  
  const getters = {
    paymentData: state => state.paymentData,
    abilityData:state=>state.abilityData,
  };
  
  const actions = {
    getOperPayInfo({ commit, state, dispatch }, entity) {
        return getOperPayInfo({params:{...entity},})
    },
     //   //获取所有版本
    getPaymentVersion({ commit, state, dispatch }, entity){
        return getPaymentVersion({ params:{...entity}, })
    },
    checkExisting({ commit, state, dispatch }, entity){
        return checkExisting({ params:{...entity}, })
    },
    addOperPayInfo({ commit, state, dispatch }, entity){
        return addOperPayInfo({data:{...entity}})
    },
      updateOperPayInfo({ commit, state, dispatch }, entity){
        return updateOperPayInfo({data:{...entity}})
      },
      
    checkBinding({ commit, state, dispatch }, entity){
        return checkBinding({ params:{...entity}, })
    },
    deleteOperPayInfo({ commit, state, dispatch }, entity){
        return deleteOperPayInfo(entity)
    },
      isCloseOperPay({ commit, state, dispatch }, entity){
        return isCloseOperPay(entity)
      },
      checkBeOn({ commit, state, dispatch }, entity){
        return checkBeOn({ params:{...entity}, })
    },
    getOpenedPaytype({ commit, state, dispatch }, entity){
      return getOpenedPaytype({ params:{...entity}, })
  },
    getAllPayment({ commit, state, dispatch }, entity) {
      return getAllPayment({params:{...entity},}).then(res=>{
       const entity = res.data;
       commit(FOR_PAYMENT,entity);
      })
    },
    storeAbilityData({commit, state, dispatch},entity){
        commit(FOR_STORE_DATA, entity);
      },
  };
  
  const mutations = {
    [FOR_STORE_DATA](state, entity) {
        state.abilityData = entity;
      },
      [FOR_PAYMENT](state, entity) {
        state.paymentData = entity;
      }, 
  };
  
  export default {
    namespaced: true,
    state,
    getters,
    actions,
    mutations,
  };