import {
  getPageData,
  addData,
  updateData,
  deleteData,
  getDetailData
} from '@/api/baseArea/rechargecontrol';

import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
// const formatDate = utils.formatDate;

const GET_OPERATE_ORDERS = 'GET_OPERATE_ORDERS';
const STORE_QUERY_DATA = 'STORE_QUERY_DATA';
// let newDate = new Date();
const state = () => ({
  list: [],
  // moneyData: {
  //   consumeMoney: null,
  //   payMoney: null,
  //   platformMoney: null,
  //   prepayMoney: null,
  //   refundMoney: null,
  // },
  storeData: {
    timeRange: [],
    areaId: null,
    //区域
    version: null,
    whetherGo: false,
  },
});

const getters = {
  list: state => state.list,
  // moneyData: state => state.moneyData,
  storeData: state => state.storeData,
};

const actions = {
  getPageData({
    commit,
    state,
    dispatch
  }, entity) {
    const {
      timeRange,
      ...filters
    } = getFilters(state.storeData);
    if (timeRange) {
      const [startTime, endTime] = timeRange;
      if (startTime) filters.startTime = startTime;
      if (endTime) filters.endTime = endTime;
    }
    return getPageData({
      data: {
        ...state.pagination,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const {
        list,
        ...pagination
      } = response.data;
      // const moneyData = response.moneyData;
      dispatch('updatePagination', pagination);
      commit(GET_OPERATE_ORDERS, {
        list
      });

    });
  },
  addData({
    state,
    commit,
    dispatch
  }, entity) {
    return addData({
      data: {
        ...entity
      }
    });
  },
  updateData({
    state,
    commit,
    dispatch
  }, entity) {
    return updateData({
      data: {
        ...entity
      }
    });
  },
  deleteData({
    state,
    commit,
    dispatch
  }, entity) {
    return deleteData(entity);
  },
  getDetailData({
    state,
    commit,
    dispatch
  }, entity) {
    return getDetailData(entity);
  },
  storeQueryData({
    state,
    commit,
    dispatch
  }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
};

const mutations = {
  [GET_OPERATE_ORDERS](state, {
    list,
  }) {
    state.list = list;
  },
  [STORE_QUERY_DATA](state, list) {
    state.storeData = {
      ...state.storeData,
      ...list,
    };
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
