import { getPassword, queryRest } from '@/api/customer/password';
import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;

const GET_CUSTOMER = 'GET_CUSTOMER';
const WINMSDVO = 'WINMSDVO';
const QUERYRESTVOS = 'QUERYRESTVOS';
const SHOWTRUE = 'SHOWTRUE';
const FILTERPASSWORD='FILTERPASSWORD';
const STORE_QUERY_DATA = 'STORE_QUERY_DATA';

const state = () =>({
  customer: {
    id: null,
  },
  winmsdVo: {
    hardwareCount: null,
    loginCount: null,
    version: null,
  },
  queryRestVos: [],
  showTrue: false,
  filterPassword: {
    areaId: null,
    customerPhone: null,
    id: null,
  },
  passWordData:{
    areaId:null,
    customerPhone:null,
    customerId:null,



  },
});

const getters = {
  customer: state => state.customer,
  winmsdVo: state => state.winmsdVo,
  queryRestVos: state => state.queryRestVos,
  showTrue: state => state.showTrue,
  passWordData: state=>state.passWordData,
};

const actions = {
  getPassword({ state,commit }, entity) {
    const filters  = getFilters(state.passWordData);
    return getPassword({
      params: {
        ...filters,
        ...entity,

      },
    }).then(response => {
      const { customer, winmsdVo } = response.data;

        queryRest({
          params: {
            customerId: customer.id,
          },
        }).then(response => {
          const queryRestVos = response.data;
          commit(QUERYRESTVOS, queryRestVos);
          commit(SHOWTRUE, true);
        });


      commit(GET_CUSTOMER, customer);
      commit(WINMSDVO, winmsdVo);
    })
    .catch(res=>{
      commit(SHOWTRUE,false)

    });

  },

  saveFiletes({ commit }, entity){
    commit(FILTERS,entity)
  },
  storeQueryData({ commit }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
};

const mutations = {
  [GET_CUSTOMER](state, customer) {
    state.customer = customer;
  },
  [WINMSDVO](state, winmsdVo) {
    state.winmsdVo = winmsdVo;
  },
  [QUERYRESTVOS](state, queryRestVos) {
    state.queryRestVos = queryRestVos;
  },
  [SHOWTRUE](state, showTrue) {
    state.showTrue = showTrue;
  },
  [FILTERPASSWORD](state,filterPassword){
    state.filterPassword=filterPassword;
  },
  [STORE_QUERY_DATA](state, list) {
    state.passWordData = {
      ...state.passWordData,
      ...list,
    };
  }

};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
