import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import {
  getPagePayment,
  changePayment ,
  createPayment ,closeOrOpen ,getPaymentVersion ,updatePaymentVersion,
  addPaymentVersion ,upAndDown ,getPRecord ,getPVRecord,checkVBeUsed,
  deleteVersion,checkExist,checkPaymentExist,getOpenedAbility,
 } from '@/api/payment/pav';

const GET_PAGE_PAYMENT = 'GET_PAGE_PAYMENT';
// const GET_ALL_SELF = 'GET_ALL_SELF';
const initFilters = () => ({
  id: null,
  payName: null,


});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
    list: [],
    // selfList:[],
  });

  const getters = {
    listData: state => state.list,
    // selfList:state=>state.selfList,
  };

  const actions = {
    getPagePayment({ commit, state, dispatch,getters }, entity) {
      let filters = getFilters(getters.filters);
        return getPagePayment(
          {
            data:{
              ...state.pagination,
              ...filters,
              ...entity
            },
          }
        ).then(res=>{
          const {list,...pagination} = res.pageData;
          dispatch('updatePagination',pagination);
          commit(GET_PAGE_PAYMENT,list);
        })
      },
      createPayment({ commit, state, dispatch }, entity){
        return createPayment({ params:{...entity},})
      },
      changePayment({ commit, state, dispatch }, entity){
        return changePayment({ params:{...entity},})
      },
      closeOrOpen({ commit, state, dispatch }, entity){
        return closeOrOpen(entity)
      },
      getPaymentVersion({ commit, state, dispatch }, entity){
        return getPaymentVersion( {
            params:{...entity},
          })
      },
      updatePaymentVersion({ commit, state, dispatch }, entity){
        return updatePaymentVersion( {
            data:{...entity}
          })
      },
      addPaymentVersion({ commit, state, dispatch }, entity){
        return addPaymentVersion({data:{...entity}})
      },
      upAndDown({ commit, state, dispatch }, entity){
        return upAndDown(entity)
      },
      deleteVersion({ commit, state, dispatch }, entity){
        return deleteVersion(entity)
      },
      getPRecord({ commit, state, dispatch }, entity){
        return getPRecord( {
            params:{...entity},
          })
      },
      getPVRecord({ commit, state, dispatch }, entity){
        return getPVRecord({
          params:{...entity},}
        )
      },
      checkVBeUsed({ commit, state, dispatch }, entity){
        return checkVBeUsed({
          params:{...entity},}
        )
      },
      checkExist({ commit, state, dispatch }, entity){
        return checkExist(entity)
      },
      checkPaymentExist({ commit, state, dispatch }, entity){
        return checkPaymentExist({
          params:{...entity},}
        )
      },
      getOpenedAbility({ commit, state, dispatch }, entity){
        return getOpenedAbility({
          params:{...entity},}
        )
      },
  };

  const mutations = {
    [GET_PAGE_PAYMENT](state, entity) {
        state.list= entity;
      },
      // [GET_ALL_SELF](state,entity){
      //   state.selfList= entity;
      // }
  };

  export default {
    namespaced: true,
    modules: {
      pagination,
      filtersStore,
    },
    state,
    getters,
    actions,
    mutations,
  };
