import { getPageOrderMoney,getRefundInfo,gotoRefund } from '@/api/prepayOrder';
// import {fetchPaymentList} from '@/api/fetch2Base';

import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
const formatDate = utils.formatDate;

const GET_PREORDERS = 'GET_PREORDERS';
const STORE_QUERY_DATA = 'STORE_QUERY_DATA';
// const GET_ALL_PAYMENTS = 'GET_ALL_PAYMENTS';

// let newDate = new Date();
const state = () => ({
  list: [],
  // listPayments:[],
  moneyData:{
    consumeMoney: null,
    payMoney: null,
    platformMoney: null,
    prepayMoney: null,
    refundMoney: null,
  },
  storeData: {
    timeRange: [
      formatDate(new Date(), 'yyyy-MM-dd') + ' 00:00:00',
      formatDate(new Date(), 'yyyy-MM-dd') + ' 23:59:59',
    ],
    orderNumber: null,
    //区域
    customerId : null,
    operateId: null,
    serviceId: null,
    equipmentNum: null,
    equipmentPos: null,
    orderState: null,
    payType: null,
    // whetherGo: false,
  },
});

const getters = {
  list: state => state.list,
  moneyData: state => state.moneyData,
  storeData: state => state.storeData,
  // listPayments: state => state.listPayments,
};

const actions = {
  getPageOrderMoney({ commit, state, dispatch }, entity) {
    const { timeRange, ...filters } = getFilters(state.storeData);
    if (timeRange) {
      const [startTime, endTime] = timeRange;
      if (startTime) filters.startTime = startTime;
      if (endTime) filters.endTime = formatDate(endTime,'yyyy-MM-dd') + ' 23:59:59';
    }
    return getPageOrderMoney({
      data: {
        ...state.pagination,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const { list, ...pagination } = response.data;
      const moneyData = response.moneyData;
      dispatch('updatePagination', pagination);
      commit(GET_PREORDERS,{
          list,
        moneyData
    }  );

    });
  },
  getRefundInfo({ commit, state, dispatch }, entity){
      return getRefundInfo({ params: {
        ...entity,
      },});
  },
  storeQueryData({ state, commit, dispatch }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
  gotoRefund({ state, commit, dispatch }, entity){
    return gotoRefund({data:{...entity}});
  }
  // fetchPaymentList({ state, commit, dispatch }, entity) {
  //   return fetchPaymentList({
  //     params: {
  //       ...entity,
  //     },
  //   }).then(res => {
  //     const list = res.data;
  //     commit(GET_ALL_PAYMENTS, list);
  //   });
  // },
};

const mutations = {
  // [GET_ALL_PAYMENTS]: (state, list) => {
  //   state.listPayments = list;
  // },
  [GET_PREORDERS](state, {list, moneyData}) {
    state.list = list;
    state.moneyData = moneyData;
  },
  [STORE_QUERY_DATA](state, list) {
    state.storeData = {
      ...state.storeData,
      ...list,
    };
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
