import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
import { fetchEquList,getbatchNumber } from '@/api/purchasing/equipment';
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
const formatDate = utils.formatDate;

const GET_EQU_LIST = 'GET_EQU_LIST';
const GET_BATCH_LIST='GET_BATCH_LIST';

const initFilters = () => ({
    operateId: null,
    serviceId: null,
    timeSelect: [],
    contractNumber:'',
    batchNumber:null,
    equipmentCode:'',
    equipmentState:'',



});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
  list: [],
  batchList:[],
});

const getters = {
  listData: state => state.list,
  batchList:state =>state.batchList,
};

const actions = {
    fetchEquList({ state, commit, dispatch,getters }, entity) {
    const{timeSelect,...filters} = getFilters(getters.filters);

    if (timeSelect) {
      const [fromDate, endDate] = timeSelect;
      if (fromDate) filters.fromDate = fromDate;
      if (endDate) filters.endDate =  formatDate(endDate, 'yyyy-MM-dd 23:59:59') ;
    }
    return fetchEquList({
      data: {
        pageNum: state.pagination.pageNum,
        pageSize: state.pagination.pageSize,
        ...filters,
        ...entity,
      },
    }).then(res => {
      const { list, ...pagination } = res.data;
      dispatch('updatePagination', pagination);
      commit(GET_EQU_LIST, list);
    });
  },
  getbatchNumber({
    state,
    commit,
    dispatch
  }, entity) {
    return getbatchNumber({

    }).then(res => {
      const batchList = res.data;
      commit(GET_BATCH_LIST, batchList);

    });
  },
};

const mutations = {
  [GET_EQU_LIST]: (state, list) => {
    state.list = list;
  },
  [GET_BATCH_LIST](state, batchList) {
    state.batchList = batchList;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
    filtersStore,
  },
  state,
  getters,
  actions,
  mutations,
};
