import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import {
   getPageService,
   addSelfService,
   getSelfService,
   closeOrOpen,
   updateSelfService,
   getKindsService,
   getRecordService,
   getAllSelfService,
   getThirdService,
   checkExistService,
 } from '@/api/selfService/selfService';

const GET_PAGE_SERVICE = 'GET_PAGE_SERVICE';
const GET_ALL_SELF = 'GET_ALL_SELF';
const initFilters = () => ({
  serviceName: null,
  id: null,
  state: '',


});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
    list: [],
    selfList:[],
  });

  const getters = {
    listData: state => state.list,
    selfList:state=>state.selfList,
  };

  const actions = {
    getPageService({ commit, state, dispatch,getters }, entity) {
      let filters = getFilters(getters.filters);
        return getPageService(
          {
            data:{
              ...state.pagination,
              ...filters,
              ...entity
            },
          }
        ).then(res=>{
          const {list,...pagination} = res.pageData;
          dispatch('updatePagination',pagination);
          commit(GET_PAGE_SERVICE,list);
        })
      },
      addSelfService({ commit, state, dispatch }, entity){
        return addSelfService({data:{...entity}})
      },
      updateSelfService({ commit, state, dispatch }, entity){
        return updateSelfService({data:{...entity}})
      },
      getSelfService({ commit, state, dispatch }, entity){
        return getSelfService( {
            params:{...entity},
          })
      },
      closeOrOpen({ commit, state, dispatch }, entity){
        return closeOrOpen(entity)
      },
      getKindsService({ commit, state, dispatch }, entity){
        return getKindsService( {
            params:{...entity},
          })
      },
      getRecordService({ commit, state, dispatch }, entity){
        return getRecordService({
          params:{...entity},}
        )
      },
      getThirdService({ commit, state, dispatch }, entity){
        return getThirdService({
          params:{...entity},}
        )
      },
      checkExistService({ commit, state, dispatch }, entity){
        return checkExistService({
          params:{...entity},}
        )
      },
      getAllSelfService({ commit, state, dispatch }, entity){
        return getAllSelfService({
          params:{...entity},}
        ).then(res=>{
          const list = res.selfService;
          commit(GET_ALL_SELF,list);
        })
      },
  };

  const mutations = {
    [GET_PAGE_SERVICE](state, entity) {
        state.list= entity;
      },
      [GET_ALL_SELF](state,entity){
        state.selfList= entity;
      }
  };

  export default {
    namespaced: true,
    modules: {
      pagination,
      filtersStore,
    },
    state,
    getters,
    actions,
    mutations,
  };
