import { getPageCustomer } from '@/api/customer';
// const formatDate = utils.formatDate;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
const formatDate = utils.formatDate;

const GET_CUSTOMERS = 'GET_CUSTOMERS';
const STORE_QUERY_DATA = 'STORE_QUERY_DATA';
// let newDate = new Date();
const state = () => ({
  list: [],
  storeData: {
    timeRange: [],
    //区域
    id: null,
    thirdId: null,
    //电话
    customerPhone: '',
    //姓名
    customerName: '',
    sourceType:null,
    isConsume:null,
    // whetherGo: false,
  },
});

const getters = {
  list: state => state.list,
  storeData: state => state.storeData,
};

const actions = {
  getPageCustomer({ commit, state, dispatch }, entity) {
    const { timeRange, ...filters } = getFilters(state.storeData);
    if (timeRange) {
      const [startTime, endTime] = timeRange;
      if (startTime) filters.startTime = startTime;
      if (endTime) filters.endTime = formatDate(endTime, 'yyyy-MM-dd') + ' 23:59:59';
    }
    return getPageCustomer({
      data: {
        ...state.pagination,
        ...filters,
        ...entity,
      },
    }).then(response => {
      const { list, ...pagination } = response.data;
      dispatch('updatePagination', pagination);
      commit(GET_CUSTOMERS, list);
    });
  },
  storeQueryData({ state, commit, dispatch }, entity) {
    commit(STORE_QUERY_DATA, entity);
  },
};

const mutations = {
  [GET_CUSTOMERS](state, list) {
    state.list = list;
  },
  [STORE_QUERY_DATA](state, list) {
    state.storeData = {
      ...state.storeData,
      ...list,
    };
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
