import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;
const initFiltersStore = storeModule.filter;
import utils from '@/lib/utils';
const getFilters = utils.getFilters;
import {
  listPlatform,addPlatform,updatePlatform,threeRecord
 } from '@/api/smsPlatform/smsPlatform';

const LIST_PLATFORM = 'LIST_PLATFORM';
const LIST_PLATFORM_OPTIONS = 'LIST_PLATFORM_OPTIONS';
const initFilters = () => ({
  platformCode: null,
});
const filtersStore = initFiltersStore(initFilters);

const state = () => ({
    list: [],
    options:[],
  });

  const getters = {
    listData: state => state.list,
    optionData: state=> state.options,
  };

  const actions = {
    listPlatform({ commit, state, dispatch,getters }, entity) {
      let filters = getFilters(getters.filters);
      console.log(filters);
        return listPlatform(
          {
            params:{
              ...filters,
              ...entity
            },
          }
        ).then(res=>{
          const list = res.data;
          commit(LIST_PLATFORM,list);
        })
      },
      addPlatform({ commit, state, dispatch }, entity){
        return addPlatform({params:{...entity}})
      },
      updatePlatform({ commit, state, dispatch }, entity){
        return updatePlatform({params:{...entity}})
      },
      threeRecord({ commit, state, dispatch }, entity){
        return threeRecord( {
            params:{...entity},
          })
      },
      getPlatform({ commit, state, dispatch }, entity){
        return listPlatform( {
            params:{...entity},
          }).then(res=>{
            const list = res.data;
            commit(LIST_PLATFORM_OPTIONS,list);
          })
      },
  };

  const mutations = {
    [LIST_PLATFORM](state, entity) {
        state.list= entity;
      },
    [LIST_PLATFORM_OPTIONS](state, entity){
      state.options=entity;
    },
  };

  export default {
    namespaced: true,
    modules: {
      pagination,
      filtersStore,
    },
    state,
    getters,
    actions,
    mutations,
  };
