import CreatSystem from './lib/main';
import asyncRouterMap from './router/asyncRoutes';

window.manageShell = { default: CreatSystem };
window.allAasyncRouterMap = [...asyncRouterMap];

const routeFilter = (routes, allRoute) => {
  if (allRoute && allRoute.length) {
    let addRoute = System.utils.route.formatRouteLink(allRoute);
    for (let index = 0; index < addRoute.length; index++) {
      const element = addRoute[index];
      if (element.children) {
        routes = routes.concat(element.children);
      } else if (
        element.menuCode === process.env.VUE_APP_REGISTER_DASHBOARD_CODE
      ) {
        routes.unshift(element);
      }
    }
  }
  return {
    allRoute,
    routes,
  };
};
const script = document.createElement('script');
script.text = `
  manageShell.default.createSystem({
    basePath: '${process.env.VUE_APP_BASE_URL}',
    routers: allAasyncRouterMap,
    routeFilter: function(routes, allRoute) {
      if (allRoute && allRoute.length) {
        let addRoute = manageShell.default.utils.route.formatRouteLink(
          allRoute
        );
        for (let index = 0; index < addRoute.length; index++) {
          const element = addRoute[index];
          if (element.children) {
            routes = routes.concat(element.children);
          } else if (
            element.menuCode === ${process.env.VUE_APP_REGISTER_DASHBOARD_CODE}
          ) {
            routes.unshift(element);
          }
        }
      }

      return {
        allRoute,
        routes,
      };
    },
  });
`;
document.body.appendChild(script);
