import { mapGetters, mapActions } from 'vuex';
import store from './store';

export default {
  created() {
    store.install(this.$store);
  },
  mounted() {
    if (this.roleList && !this.roleList.length) {
      this.fetchAllOpenRole();
    }
  },
  computed: {
    ...mapGetters('system/roleOptions', ['roleList']),
  },
  methods: {
    ...mapActions('system/roleOptions', ['fetchAllOpenRole']),
    getRoleName(id) {
      let item = this.roleList.find(role => role.id === id);
      if (item) {
        return item.roleName;
      } else {
        return '';
      }
    },
  },
};
