import _import from '../_import';
import baseOperatorStore from '@/containers/operator/store';
import payabilityStore from '@/containers/operator/payAbility/store';
import deploypayStore from '@/containers/operator/deployPay/store';
import functionSectionStore from '@/containers/operator/functionSection/store';
import openAdvertStore from '@/containers/operator/openAdvert/store';
import OrderMergeStore from '@/containers/SystemConfig/OrderMerge/store';

const OPERRoute = [
  {
    code: '0033',
    component: _import('operator/operator'),
    meta: { title: '运营商信息', store: baseOperatorStore },
  },
  {
    code: '0034',
    component: _import('operator/payAbility/payAbility'),
    meta: { title: '运营支付能力', store: payabilityStore },
  },
  {
    code: '0036',
    component: _import('operator/deployPay/deployPay'),
    meta: { title: '服务支付配置', store: deploypayStore },
  },
  {
    code: '0102',
    component: _import('operator/functionSection/functionSection'),
    meta: { title: '功能板块配置', store: functionSectionStore },
  },
  {
    code: '0103',
    component: _import('operator/openAdvert/openAdvert'),
    meta: { title: '功能板块配置', store: openAdvertStore },
  },
  {
    code: '0111',
    component: _import('SystemConfig/OrderMerge/OrderMerge'),
    meta: { title: '合并时间间隔', store: OrderMergeStore },
  },
];

export default OPERRoute;
