import _import from '../_import';
import equipmentListStore from '@/containers/Shower/EquipmentList/store';
import rateStore from '@/containers/Shower/RateConfig/store';
import orderStore from '@/containers/Shower/OrderList/store';
import locationStore from '@/containers/Shower/InitConfig/store';
import accountStore from '@/containers/Shower/Account/store';
import appointmentStore from '@/containers/Shower/Appointment/store';
import appointRecordStore from '@/containers/Shower/AppointRecord/store';
import showConfigStore from '@/containers/Shower/ShowConfig/store';
import deviceFreeStore from '@/containers/Shower/DeviceFree/store';

const showerRoute = [
  {
    code: '0049',
    component: _import('Shower/EquipmentList/EquipmentList'),
    meta: { store: equipmentListStore },
  },
  {
    code: '0050',
    component: _import('Shower/RateConfig/RateConfig'),
    meta: { store: rateStore },
  },
  {
    code: '0051',
    component: _import('Shower/OrderList/OrderList'),
    meta: { store: orderStore },
  },
  {
    code: '0052',
    component: _import('Shower/InitConfig/InitConfig'),
    meta: { store: locationStore },
  },
  {
    code: '0053',
    component: _import('Shower/Account/Account'),
    meta: { store: accountStore },
  },
  {
    code: '0095',
    component: _import('Shower/Appointment/appointment'),
    meta: { store: appointmentStore },
  },
  {
    code: '0096',
    component: _import('Shower/AppointRecord/appointRecord'),
    meta: { store: appointRecordStore },
  },
  {
    code: '0099',
    component: _import('Shower/ShowConfig/showConfig'),
    meta: { store: showConfigStore },
  },
  {
    code: '0104',
    component: _import('Shower/DeviceFree/deviceFree'),
    meta: { store: deviceFreeStore },
  },
];

export default showerRoute;
